# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "fog"
  s.version = "1.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["geemus (Wesley Beary)"]
  s.date = "2012-03-27"
  s.description = "The Ruby cloud services library. Supports all major cloud providers including AWS, Rackspace, Linode, Blue Box, StormOnDemand, and many others. Full support for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS."
  s.email = "geemus@gmail.com"
  s.executables = ["fog"]
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = [".document", ".gitignore", "Gemfile", "README.rdoc", "Rakefile", "benchs/fog_vs.rb", "benchs/params.rb", "benchs/parse_vs_push.rb", "bin/fog", "changelog.txt", "docs/_config.yml", "docs/_layouts/default.html", "docs/about/contributing.markdown", "docs/about/getting_started.markdown", "docs/about/press.markdown", "docs/about/structure.markdown", "docs/about/users.markdown", "docs/cdn/index.markdown", "docs/compute/index.markdown", "docs/dns/index.markdown", "docs/index.markdown", "docs/public/crossdomain.xml", "docs/public/css/fog.css", "docs/public/css/handheld.css", "docs/public/css/style.css", "docs/public/images/.gitignore", "docs/public/images/engineyard.png", "docs/public/images/fog.png", "docs/public/js/libs/dd_belatedpng.js", "docs/public/js/libs/jquery-1.4.2.js", "docs/public/js/libs/jquery-1.4.2.min.js", "docs/public/js/libs/modernizr-1.6.min.js", "docs/public/js/mylibs/.gitignore", "docs/public/js/plugins.js", "docs/public/js/profiling/config.js", "docs/public/js/profiling/yahoo-profiling.css", "docs/public/js/profiling/yahoo-profiling.min.js", "docs/public/js/script.js", "docs/public/robots.txt", "docs/storage/index.markdown", "fog.gemspec", "lib/fog.rb", "lib/fog/aws.rb", "lib/fog/aws/auto_scaling.rb", "lib/fog/aws/beanstalk.rb", "lib/fog/aws/cdn.rb", "lib/fog/aws/cloud_formation.rb", "lib/fog/aws/cloud_watch.rb", "lib/fog/aws/compute.rb", "lib/fog/aws/dns.rb", "lib/fog/aws/dynamodb.rb", "lib/fog/aws/elasticache.rb", "lib/fog/aws/elb.rb", "lib/fog/aws/elb/policy_types.rb", "lib/fog/aws/emr.rb", "lib/fog/aws/iam.rb", "lib/fog/aws/models/auto_scaling/activities.rb", "lib/fog/aws/models/auto_scaling/activity.rb", "lib/fog/aws/models/auto_scaling/configuration.rb", "lib/fog/aws/models/auto_scaling/configurations.rb", "lib/fog/aws/models/auto_scaling/group.rb", "lib/fog/aws/models/auto_scaling/groups.rb", "lib/fog/aws/models/auto_scaling/instance.rb", "lib/fog/aws/models/auto_scaling/instances.rb", "lib/fog/aws/models/beanstalk/application.rb", "lib/fog/aws/models/beanstalk/applications.rb", "lib/fog/aws/models/beanstalk/environment.rb", "lib/fog/aws/models/beanstalk/environments.rb", "lib/fog/aws/models/beanstalk/event.rb", "lib/fog/aws/models/beanstalk/events.rb", "lib/fog/aws/models/beanstalk/template.rb", "lib/fog/aws/models/beanstalk/templates.rb", "lib/fog/aws/models/beanstalk/version.rb", "lib/fog/aws/models/beanstalk/versions.rb", "lib/fog/aws/models/cloud_watch/alarm.rb", "lib/fog/aws/models/cloud_watch/alarm_data.rb", "lib/fog/aws/models/cloud_watch/alarm_datum.rb", "lib/fog/aws/models/cloud_watch/alarm_histories.rb", "lib/fog/aws/models/cloud_watch/alarm_history.rb", "lib/fog/aws/models/cloud_watch/alarms.rb", "lib/fog/aws/models/cloud_watch/metric.rb", "lib/fog/aws/models/cloud_watch/metric_statistic.rb", "lib/fog/aws/models/cloud_watch/metric_statistics.rb", "lib/fog/aws/models/cloud_watch/metrics.rb", "lib/fog/aws/models/compute/address.rb", "lib/fog/aws/models/compute/addresses.rb", "lib/fog/aws/models/compute/flavor.rb", "lib/fog/aws/models/compute/flavors.rb", "lib/fog/aws/models/compute/image.rb", "lib/fog/aws/models/compute/images.rb", "lib/fog/aws/models/compute/key_pair.rb", "lib/fog/aws/models/compute/key_pairs.rb", "lib/fog/aws/models/compute/security_group.rb", "lib/fog/aws/models/compute/security_groups.rb", "lib/fog/aws/models/compute/server.rb", "lib/fog/aws/models/compute/servers.rb", "lib/fog/aws/models/compute/snapshot.rb", "lib/fog/aws/models/compute/snapshots.rb", "lib/fog/aws/models/compute/spot_request.rb", "lib/fog/aws/models/compute/spot_requests.rb", "lib/fog/aws/models/compute/subnet.rb", "lib/fog/aws/models/compute/subnets.rb", "lib/fog/aws/models/compute/tag.rb", "lib/fog/aws/models/compute/tags.rb", "lib/fog/aws/models/compute/volume.rb", "lib/fog/aws/models/compute/volumes.rb", "lib/fog/aws/models/compute/vpc.rb", "lib/fog/aws/models/compute/vpcs.rb", "lib/fog/aws/models/dns/record.rb", "lib/fog/aws/models/dns/records.rb", "lib/fog/aws/models/dns/zone.rb", "lib/fog/aws/models/dns/zones.rb", "lib/fog/aws/models/elasticache/cluster.rb", "lib/fog/aws/models/elasticache/clusters.rb", "lib/fog/aws/models/elasticache/parameter_group.rb", "lib/fog/aws/models/elasticache/parameter_groups.rb", "lib/fog/aws/models/elasticache/security_group.rb", "lib/fog/aws/models/elasticache/security_groups.rb", "lib/fog/aws/models/elb/listener.rb", "lib/fog/aws/models/elb/listeners.rb", "lib/fog/aws/models/elb/load_balancer.rb", "lib/fog/aws/models/elb/load_balancers.rb", "lib/fog/aws/models/elb/policies.rb", "lib/fog/aws/models/elb/policy.rb", "lib/fog/aws/models/rds/parameter.rb", "lib/fog/aws/models/rds/parameter_group.rb", "lib/fog/aws/models/rds/parameter_groups.rb", "lib/fog/aws/models/rds/parameters.rb", "lib/fog/aws/models/rds/security_group.rb", "lib/fog/aws/models/rds/security_groups.rb", "lib/fog/aws/models/rds/server.rb", "lib/fog/aws/models/rds/servers.rb", "lib/fog/aws/models/rds/snapshot.rb", "lib/fog/aws/models/rds/snapshots.rb", "lib/fog/aws/models/storage/directories.rb", "lib/fog/aws/models/storage/directory.rb", "lib/fog/aws/models/storage/file.rb", "lib/fog/aws/models/storage/files.rb", "lib/fog/aws/models/storage/version.rb", "lib/fog/aws/models/storage/versions.rb", "lib/fog/aws/parsers/auto_scaling/basic.rb", "lib/fog/aws/parsers/auto_scaling/describe_adjustment_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_auto_scaling_groups.rb", "lib/fog/aws/parsers/auto_scaling/describe_auto_scaling_instances.rb", "lib/fog/aws/parsers/auto_scaling/describe_launch_configurations.rb", "lib/fog/aws/parsers/auto_scaling/describe_metric_collection_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_policies.rb", "lib/fog/aws/parsers/auto_scaling/describe_scaling_activities.rb", "lib/fog/aws/parsers/auto_scaling/describe_scaling_process_types.rb", "lib/fog/aws/parsers/auto_scaling/describe_scheduled_actions.rb", "lib/fog/aws/parsers/auto_scaling/put_scaling_policy.rb", "lib/fog/aws/parsers/auto_scaling/terminate_instance_in_auto_scaling_group.rb", "lib/fog/aws/parsers/beanstalk/check_dns_availability.rb", "lib/fog/aws/parsers/beanstalk/create_application.rb", "lib/fog/aws/parsers/beanstalk/create_application_version.rb", "lib/fog/aws/parsers/beanstalk/create_configuration_template.rb", "lib/fog/aws/parsers/beanstalk/create_environment.rb", "lib/fog/aws/parsers/beanstalk/create_storage_location.rb", "lib/fog/aws/parsers/beanstalk/describe_application_versions.rb", "lib/fog/aws/parsers/beanstalk/describe_applications.rb", "lib/fog/aws/parsers/beanstalk/describe_configuration_options.rb", "lib/fog/aws/parsers/beanstalk/describe_configuration_settings.rb", "lib/fog/aws/parsers/beanstalk/describe_environment_resources.rb", "lib/fog/aws/parsers/beanstalk/describe_environments.rb", "lib/fog/aws/parsers/beanstalk/describe_events.rb", "lib/fog/aws/parsers/beanstalk/empty.rb", "lib/fog/aws/parsers/beanstalk/list_available_solution_stacks.rb", "lib/fog/aws/parsers/beanstalk/parser.rb", "lib/fog/aws/parsers/beanstalk/retrieve_environment_info.rb", "lib/fog/aws/parsers/beanstalk/terminate_environment.rb", "lib/fog/aws/parsers/beanstalk/update_application.rb", "lib/fog/aws/parsers/beanstalk/update_application_version.rb", "lib/fog/aws/parsers/beanstalk/update_configuration_template.rb", "lib/fog/aws/parsers/beanstalk/update_environment.rb", "lib/fog/aws/parsers/beanstalk/validate_configuration_settings.rb", "lib/fog/aws/parsers/cdn/distribution.rb", "lib/fog/aws/parsers/cdn/get_distribution_list.rb", "lib/fog/aws/parsers/cdn/get_invalidation_list.rb", "lib/fog/aws/parsers/cdn/get_streaming_distribution_list.rb", "lib/fog/aws/parsers/cdn/post_invalidation.rb", "lib/fog/aws/parsers/cdn/streaming_distribution.rb", "lib/fog/aws/parsers/cloud_formation/basic.rb", "lib/fog/aws/parsers/cloud_formation/create_stack.rb", "lib/fog/aws/parsers/cloud_formation/describe_stack_events.rb", "lib/fog/aws/parsers/cloud_formation/describe_stack_resources.rb", "lib/fog/aws/parsers/cloud_formation/describe_stacks.rb", "lib/fog/aws/parsers/cloud_formation/get_template.rb", "lib/fog/aws/parsers/cloud_formation/update_stack.rb", "lib/fog/aws/parsers/cloud_formation/validate_template.rb", "lib/fog/aws/parsers/cloud_watch/delete_alarms.rb", "lib/fog/aws/parsers/cloud_watch/describe_alarm_history.rb", "lib/fog/aws/parsers/cloud_watch/describe_alarms.rb", "lib/fog/aws/parsers/cloud_watch/describe_alarms_for_metric.rb", "lib/fog/aws/parsers/cloud_watch/disable_alarm_actions.rb", "lib/fog/aws/parsers/cloud_watch/enable_alarm_actions.rb", "lib/fog/aws/parsers/cloud_watch/get_metric_statistics.rb", "lib/fog/aws/parsers/cloud_watch/list_metrics.rb", "lib/fog/aws/parsers/cloud_watch/put_metric_alarm.rb", "lib/fog/aws/parsers/cloud_watch/put_metric_data.rb", "lib/fog/aws/parsers/cloud_watch/set_alarm_state.rb", "lib/fog/aws/parsers/compute/allocate_address.rb", "lib/fog/aws/parsers/compute/associate_address.rb", "lib/fog/aws/parsers/compute/attach_volume.rb", "lib/fog/aws/parsers/compute/basic.rb", "lib/fog/aws/parsers/compute/cancel_spot_instance_requests.rb", "lib/fog/aws/parsers/compute/create_image.rb", "lib/fog/aws/parsers/compute/create_key_pair.rb", "lib/fog/aws/parsers/compute/create_security_group.rb", "lib/fog/aws/parsers/compute/create_snapshot.rb", "lib/fog/aws/parsers/compute/create_subnet.rb", "lib/fog/aws/parsers/compute/create_volume.rb", "lib/fog/aws/parsers/compute/create_vpc.rb", "lib/fog/aws/parsers/compute/delete_subnet.rb", "lib/fog/aws/parsers/compute/delete_vpc.rb", "lib/fog/aws/parsers/compute/deregister_image.rb", "lib/fog/aws/parsers/compute/describe_addresses.rb", "lib/fog/aws/parsers/compute/describe_availability_zones.rb", "lib/fog/aws/parsers/compute/describe_images.rb", "lib/fog/aws/parsers/compute/describe_instance_status.rb", "lib/fog/aws/parsers/compute/describe_instances.rb", "lib/fog/aws/parsers/compute/describe_key_pairs.rb", "lib/fog/aws/parsers/compute/describe_placement_groups.rb", "lib/fog/aws/parsers/compute/describe_regions.rb", "lib/fog/aws/parsers/compute/describe_reserved_instances.rb", "lib/fog/aws/parsers/compute/describe_reserved_instances_offerings.rb", "lib/fog/aws/parsers/compute/describe_security_groups.rb", "lib/fog/aws/parsers/compute/describe_snapshots.rb", "lib/fog/aws/parsers/compute/describe_spot_price_history.rb", "lib/fog/aws/parsers/compute/describe_subnets.rb", "lib/fog/aws/parsers/compute/describe_tags.rb", "lib/fog/aws/parsers/compute/describe_volume_status.rb", "lib/fog/aws/parsers/compute/describe_volumes.rb", "lib/fog/aws/parsers/compute/describe_vpcs.rb", "lib/fog/aws/parsers/compute/detach_volume.rb", "lib/fog/aws/parsers/compute/get_console_output.rb", "lib/fog/aws/parsers/compute/get_password_data.rb", "lib/fog/aws/parsers/compute/import_key_pair.rb", "lib/fog/aws/parsers/compute/monitor_unmonitor_instances.rb", "lib/fog/aws/parsers/compute/purchase_reserved_instances_offering.rb", "lib/fog/aws/parsers/compute/register_image.rb", "lib/fog/aws/parsers/compute/run_instances.rb", "lib/fog/aws/parsers/compute/spot_datafeed_subscription.rb", "lib/fog/aws/parsers/compute/spot_instance_requests.rb", "lib/fog/aws/parsers/compute/start_stop_instances.rb", "lib/fog/aws/parsers/compute/terminate_instances.rb", "lib/fog/aws/parsers/dns/change_resource_record_sets.rb", "lib/fog/aws/parsers/dns/create_hosted_zone.rb", "lib/fog/aws/parsers/dns/delete_hosted_zone.rb", "lib/fog/aws/parsers/dns/get_change.rb", "lib/fog/aws/parsers/dns/get_hosted_zone.rb", "lib/fog/aws/parsers/dns/list_hosted_zones.rb", "lib/fog/aws/parsers/dns/list_resource_record_sets.rb", "lib/fog/aws/parsers/elasticache/authorize_cache_security_group_ingress.rb", "lib/fog/aws/parsers/elasticache/base.rb", "lib/fog/aws/parsers/elasticache/cache_cluster_parser.rb", "lib/fog/aws/parsers/elasticache/describe_cache_clusters.rb", "lib/fog/aws/parsers/elasticache/describe_cache_parameters.rb", "lib/fog/aws/parsers/elasticache/describe_engine_default_parameters.rb", "lib/fog/aws/parsers/elasticache/describe_parameter_groups.rb", "lib/fog/aws/parsers/elasticache/describe_security_groups.rb", "lib/fog/aws/parsers/elasticache/engine_defaults_parser.rb", "lib/fog/aws/parsers/elasticache/event_list.rb", "lib/fog/aws/parsers/elasticache/modify_parameter_group.rb", "lib/fog/aws/parsers/elasticache/parameter_group_parser.rb", "lib/fog/aws/parsers/elasticache/reset_parameter_group.rb", "lib/fog/aws/parsers/elasticache/security_group_parser.rb", "lib/fog/aws/parsers/elasticache/single_cache_cluster.rb", "lib/fog/aws/parsers/elasticache/single_parameter_group.rb", "lib/fog/aws/parsers/elasticache/single_security_group.rb", "lib/fog/aws/parsers/elb/configure_health_check.rb", "lib/fog/aws/parsers/elb/create_load_balancer.rb", "lib/fog/aws/parsers/elb/delete_load_balancer.rb", "lib/fog/aws/parsers/elb/deregister_instances_from_load_balancer.rb", "lib/fog/aws/parsers/elb/describe_instance_health.rb", "lib/fog/aws/parsers/elb/describe_load_balancer_policies.rb", "lib/fog/aws/parsers/elb/describe_load_balancer_policy_types.rb", "lib/fog/aws/parsers/elb/describe_load_balancers.rb", "lib/fog/aws/parsers/elb/disable_availability_zones_for_load_balancer.rb", "lib/fog/aws/parsers/elb/empty.rb", "lib/fog/aws/parsers/elb/enable_availability_zones_for_load_balancer.rb", "lib/fog/aws/parsers/elb/register_instances_with_load_balancer.rb", "lib/fog/aws/parsers/emr/add_instance_groups.rb", "lib/fog/aws/parsers/emr/add_job_flow_steps.rb", "lib/fog/aws/parsers/emr/describe_job_flows.rb", "lib/fog/aws/parsers/emr/modify_instance_groups.rb", "lib/fog/aws/parsers/emr/run_job_flow.rb", "lib/fog/aws/parsers/emr/set_termination_protection.rb", "lib/fog/aws/parsers/emr/terminate_job_flows.rb", "lib/fog/aws/parsers/iam/basic.rb", "lib/fog/aws/parsers/iam/create_access_key.rb", "lib/fog/aws/parsers/iam/create_group.rb", "lib/fog/aws/parsers/iam/create_user.rb", "lib/fog/aws/parsers/iam/get_group.rb", "lib/fog/aws/parsers/iam/get_group_policy.rb", "lib/fog/aws/parsers/iam/get_user.rb", "lib/fog/aws/parsers/iam/get_user_policy.rb", "lib/fog/aws/parsers/iam/list_access_keys.rb", "lib/fog/aws/parsers/iam/list_account_aliases.rb", "lib/fog/aws/parsers/iam/list_groups.rb", "lib/fog/aws/parsers/iam/list_groups_for_user.rb", "lib/fog/aws/parsers/iam/list_policies.rb", "lib/fog/aws/parsers/iam/list_server_certificates.rb", "lib/fog/aws/parsers/iam/list_signing_certificates.rb", "lib/fog/aws/parsers/iam/list_users.rb", "lib/fog/aws/parsers/iam/login_profile.rb", "lib/fog/aws/parsers/iam/update_group.rb", "lib/fog/aws/parsers/iam/update_user.rb", "lib/fog/aws/parsers/iam/upload_server_certificate.rb", "lib/fog/aws/parsers/iam/upload_signing_certificate.rb", "lib/fog/aws/parsers/rds/authorize_db_security_group_ingress.rb", "lib/fog/aws/parsers/rds/create_db_instance.rb", "lib/fog/aws/parsers/rds/create_db_instance_read_replica.rb", "lib/fog/aws/parsers/rds/create_db_parameter_group.rb", "lib/fog/aws/parsers/rds/create_db_security_group.rb", "lib/fog/aws/parsers/rds/create_db_snapshot.rb", "lib/fog/aws/parsers/rds/db_engine_version_parser.rb", "lib/fog/aws/parsers/rds/db_parser.rb", "lib/fog/aws/parsers/rds/delete_db_instance.rb", "lib/fog/aws/parsers/rds/delete_db_parameter_group.rb", "lib/fog/aws/parsers/rds/delete_db_security_group.rb", "lib/fog/aws/parsers/rds/delete_db_snapshot.rb", "lib/fog/aws/parsers/rds/describe_db_engine_versions.rb", "lib/fog/aws/parsers/rds/describe_db_instances.rb", "lib/fog/aws/parsers/rds/describe_db_parameter_groups.rb", "lib/fog/aws/parsers/rds/describe_db_parameters.rb", "lib/fog/aws/parsers/rds/describe_db_reserved_instances.rb", "lib/fog/aws/parsers/rds/describe_db_security_groups.rb", "lib/fog/aws/parsers/rds/describe_db_snapshots.rb", "lib/fog/aws/parsers/rds/modify_db_instance.rb", "lib/fog/aws/parsers/rds/modify_db_parameter_group.rb", "lib/fog/aws/parsers/rds/reboot_db_instance.rb", "lib/fog/aws/parsers/rds/restore_db_instance_from_db_snapshot.rb", "lib/fog/aws/parsers/rds/restore_db_instance_to_point_in_time.rb", "lib/fog/aws/parsers/rds/revoke_db_security_group_ingress.rb", "lib/fog/aws/parsers/rds/security_group_parser.rb", "lib/fog/aws/parsers/rds/snapshot_parser.rb", "lib/fog/aws/parsers/ses/delete_verified_email_address.rb", "lib/fog/aws/parsers/ses/get_send_quota.rb", "lib/fog/aws/parsers/ses/get_send_statistics.rb", "lib/fog/aws/parsers/ses/list_verified_email_addresses.rb", "lib/fog/aws/parsers/ses/send_email.rb", "lib/fog/aws/parsers/ses/send_raw_email.rb", "lib/fog/aws/parsers/ses/verify_email_address.rb", "lib/fog/aws/parsers/simpledb/basic.rb", "lib/fog/aws/parsers/simpledb/domain_metadata.rb", "lib/fog/aws/parsers/simpledb/get_attributes.rb", "lib/fog/aws/parsers/simpledb/list_domains.rb", "lib/fog/aws/parsers/simpledb/select.rb", "lib/fog/aws/parsers/sns/add_permission.rb", "lib/fog/aws/parsers/sns/confirm_subscription.rb", "lib/fog/aws/parsers/sns/create_topic.rb", "lib/fog/aws/parsers/sns/delete_topic.rb", "lib/fog/aws/parsers/sns/get_topic_attributes.rb", "lib/fog/aws/parsers/sns/list_subscriptions.rb", "lib/fog/aws/parsers/sns/list_topics.rb", "lib/fog/aws/parsers/sns/publish.rb", "lib/fog/aws/parsers/sns/remove_permission.rb", "lib/fog/aws/parsers/sns/set_topic_attributes.rb", "lib/fog/aws/parsers/sns/subscribe.rb", "lib/fog/aws/parsers/sns/unsubscribe.rb", "lib/fog/aws/parsers/sqs/basic.rb", "lib/fog/aws/parsers/sqs/create_queue.rb", "lib/fog/aws/parsers/sqs/get_queue_attributes.rb", "lib/fog/aws/parsers/sqs/list_queues.rb", "lib/fog/aws/parsers/sqs/receive_message.rb", "lib/fog/aws/parsers/sqs/send_message.rb", "lib/fog/aws/parsers/storage/access_control_list.rb", "lib/fog/aws/parsers/storage/complete_multipart_upload.rb", "lib/fog/aws/parsers/storage/copy_object.rb", "lib/fog/aws/parsers/storage/get_bucket.rb", "lib/fog/aws/parsers/storage/get_bucket_lifecycle.rb", "lib/fog/aws/parsers/storage/get_bucket_location.rb", "lib/fog/aws/parsers/storage/get_bucket_logging.rb", "lib/fog/aws/parsers/storage/get_bucket_object_versions.rb", "lib/fog/aws/parsers/storage/get_bucket_versioning.rb", "lib/fog/aws/parsers/storage/get_bucket_website.rb", "lib/fog/aws/parsers/storage/get_request_payment.rb", "lib/fog/aws/parsers/storage/get_service.rb", "lib/fog/aws/parsers/storage/initiate_multipart_upload.rb", "lib/fog/aws/parsers/storage/list_multipart_uploads.rb", "lib/fog/aws/parsers/storage/list_parts.rb", "lib/fog/aws/parsers/sts/get_session_token.rb", "lib/fog/aws/rds.rb", "lib/fog/aws/requests/auto_scaling/create_auto_scaling_group.rb", "lib/fog/aws/requests/auto_scaling/create_launch_configuration.rb", "lib/fog/aws/requests/auto_scaling/delete_auto_scaling_group.rb", "lib/fog/aws/requests/auto_scaling/delete_launch_configuration.rb", "lib/fog/aws/requests/auto_scaling/delete_policy.rb", "lib/fog/aws/requests/auto_scaling/delete_scheduled_action.rb", "lib/fog/aws/requests/auto_scaling/describe_adjustment_types.rb", "lib/fog/aws/requests/auto_scaling/describe_auto_scaling_groups.rb", "lib/fog/aws/requests/auto_scaling/describe_auto_scaling_instances.rb", "lib/fog/aws/requests/auto_scaling/describe_launch_configurations.rb", "lib/fog/aws/requests/auto_scaling/describe_metric_collection_types.rb", "lib/fog/aws/requests/auto_scaling/describe_policies.rb", "lib/fog/aws/requests/auto_scaling/describe_scaling_activities.rb", "lib/fog/aws/requests/auto_scaling/describe_scaling_process_types.rb", "lib/fog/aws/requests/auto_scaling/describe_scheduled_actions.rb", "lib/fog/aws/requests/auto_scaling/disable_metrics_collection.rb", "lib/fog/aws/requests/auto_scaling/enable_metrics_collection.rb", "lib/fog/aws/requests/auto_scaling/execute_policy.rb", "lib/fog/aws/requests/auto_scaling/put_scaling_policy.rb", "lib/fog/aws/requests/auto_scaling/put_scheduled_update_group_action.rb", "lib/fog/aws/requests/auto_scaling/resume_processes.rb", "lib/fog/aws/requests/auto_scaling/set_desired_capacity.rb", "lib/fog/aws/requests/auto_scaling/set_instance_health.rb", "lib/fog/aws/requests/auto_scaling/suspend_processes.rb", "lib/fog/aws/requests/auto_scaling/terminate_instance_in_auto_scaling_group.rb", "lib/fog/aws/requests/auto_scaling/update_auto_scaling_group.rb", "lib/fog/aws/requests/beanstalk/check_dns_availability.rb", "lib/fog/aws/requests/beanstalk/create_application.rb", "lib/fog/aws/requests/beanstalk/create_application_version.rb", "lib/fog/aws/requests/beanstalk/create_configuration_template.rb", "lib/fog/aws/requests/beanstalk/create_environment.rb", "lib/fog/aws/requests/beanstalk/create_storage_location.rb", "lib/fog/aws/requests/beanstalk/delete_application.rb", "lib/fog/aws/requests/beanstalk/delete_application_version.rb", "lib/fog/aws/requests/beanstalk/delete_configuration_template.rb", "lib/fog/aws/requests/beanstalk/delete_environment_configuration.rb", "lib/fog/aws/requests/beanstalk/describe_application_versions.rb", "lib/fog/aws/requests/beanstalk/describe_applications.rb", "lib/fog/aws/requests/beanstalk/describe_configuration_options.rb", "lib/fog/aws/requests/beanstalk/describe_configuration_settings.rb", "lib/fog/aws/requests/beanstalk/describe_environment_resources.rb", "lib/fog/aws/requests/beanstalk/describe_environments.rb", "lib/fog/aws/requests/beanstalk/describe_events.rb", "lib/fog/aws/requests/beanstalk/list_available_solution_stacks.rb", "lib/fog/aws/requests/beanstalk/rebuild_environment.rb", "lib/fog/aws/requests/beanstalk/request_environment_info.rb", "lib/fog/aws/requests/beanstalk/restart_app_server.rb", "lib/fog/aws/requests/beanstalk/retrieve_environment_info.rb", "lib/fog/aws/requests/beanstalk/swap_environment_cnames.rb", "lib/fog/aws/requests/beanstalk/terminate_environment.rb", "lib/fog/aws/requests/beanstalk/update_application.rb", "lib/fog/aws/requests/beanstalk/update_application_version.rb", "lib/fog/aws/requests/beanstalk/update_configuration_template.rb", "lib/fog/aws/requests/beanstalk/update_environment.rb", "lib/fog/aws/requests/beanstalk/validate_configuration_settings.rb", "lib/fog/aws/requests/cdn/delete_distribution.rb", "lib/fog/aws/requests/cdn/delete_streaming_distribution.rb", "lib/fog/aws/requests/cdn/get_distribution.rb", "lib/fog/aws/requests/cdn/get_distribution_list.rb", "lib/fog/aws/requests/cdn/get_invalidation_list.rb", "lib/fog/aws/requests/cdn/get_streaming_distribution.rb", "lib/fog/aws/requests/cdn/get_streaming_distribution_list.rb", "lib/fog/aws/requests/cdn/post_distribution.rb", "lib/fog/aws/requests/cdn/post_invalidation.rb", "lib/fog/aws/requests/cdn/post_streaming_distribution.rb", "lib/fog/aws/requests/cdn/put_distribution_config.rb", "lib/fog/aws/requests/cdn/put_streaming_distribution_config.rb", "lib/fog/aws/requests/cloud_formation/create_stack.rb", "lib/fog/aws/requests/cloud_formation/delete_stack.rb", "lib/fog/aws/requests/cloud_formation/describe_stack_events.rb", "lib/fog/aws/requests/cloud_formation/describe_stack_resources.rb", "lib/fog/aws/requests/cloud_formation/describe_stacks.rb", "lib/fog/aws/requests/cloud_formation/get_template.rb", "lib/fog/aws/requests/cloud_formation/update_stack.rb", "lib/fog/aws/requests/cloud_formation/validate_template.rb", "lib/fog/aws/requests/cloud_watch/delete_alarms.rb", "lib/fog/aws/requests/cloud_watch/describe_alarm_history.rb", "lib/fog/aws/requests/cloud_watch/describe_alarms.rb", "lib/fog/aws/requests/cloud_watch/describe_alarms_for_metric.rb", "lib/fog/aws/requests/cloud_watch/disable_alarm_actions.rb", "lib/fog/aws/requests/cloud_watch/enable_alarm_actions.rb", "lib/fog/aws/requests/cloud_watch/get_metric_statistics.rb", "lib/fog/aws/requests/cloud_watch/list_metrics.rb", "lib/fog/aws/requests/cloud_watch/put_metric_alarm.rb", "lib/fog/aws/requests/cloud_watch/put_metric_data.rb", "lib/fog/aws/requests/cloud_watch/set_alarm_state.rb", "lib/fog/aws/requests/compute/allocate_address.rb", "lib/fog/aws/requests/compute/associate_address.rb", "lib/fog/aws/requests/compute/attach_volume.rb", "lib/fog/aws/requests/compute/authorize_security_group_ingress.rb", "lib/fog/aws/requests/compute/cancel_spot_instance_requests.rb", "lib/fog/aws/requests/compute/create_image.rb", "lib/fog/aws/requests/compute/create_key_pair.rb", "lib/fog/aws/requests/compute/create_placement_group.rb", "lib/fog/aws/requests/compute/create_security_group.rb", "lib/fog/aws/requests/compute/create_snapshot.rb", "lib/fog/aws/requests/compute/create_spot_datafeed_subscription.rb", "lib/fog/aws/requests/compute/create_subnet.rb", "lib/fog/aws/requests/compute/create_tags.rb", "lib/fog/aws/requests/compute/create_volume.rb", "lib/fog/aws/requests/compute/create_vpc.rb", "lib/fog/aws/requests/compute/delete_key_pair.rb", "lib/fog/aws/requests/compute/delete_placement_group.rb", "lib/fog/aws/requests/compute/delete_security_group.rb", "lib/fog/aws/requests/compute/delete_snapshot.rb", "lib/fog/aws/requests/compute/delete_spot_datafeed_subscription.rb", "lib/fog/aws/requests/compute/delete_subnet.rb", "lib/fog/aws/requests/compute/delete_tags.rb", "lib/fog/aws/requests/compute/delete_volume.rb", "lib/fog/aws/requests/compute/delete_vpc.rb", "lib/fog/aws/requests/compute/deregister_image.rb", "lib/fog/aws/requests/compute/describe_addresses.rb", "lib/fog/aws/requests/compute/describe_availability_zones.rb", "lib/fog/aws/requests/compute/describe_images.rb", "lib/fog/aws/requests/compute/describe_instance_status.rb", "lib/fog/aws/requests/compute/describe_instances.rb", "lib/fog/aws/requests/compute/describe_key_pairs.rb", "lib/fog/aws/requests/compute/describe_placement_groups.rb", "lib/fog/aws/requests/compute/describe_regions.rb", "lib/fog/aws/requests/compute/describe_reserved_instances.rb", "lib/fog/aws/requests/compute/describe_reserved_instances_offerings.rb", "lib/fog/aws/requests/compute/describe_security_groups.rb", "lib/fog/aws/requests/compute/describe_snapshots.rb", "lib/fog/aws/requests/compute/describe_spot_datafeed_subscription.rb", "lib/fog/aws/requests/compute/describe_spot_instance_requests.rb", "lib/fog/aws/requests/compute/describe_spot_price_history.rb", "lib/fog/aws/requests/compute/describe_subnets.rb", "lib/fog/aws/requests/compute/describe_tags.rb", "lib/fog/aws/requests/compute/describe_volume_status.rb", "lib/fog/aws/requests/compute/describe_volumes.rb", "lib/fog/aws/requests/compute/describe_vpcs.rb", "lib/fog/aws/requests/compute/detach_volume.rb", "lib/fog/aws/requests/compute/disassociate_address.rb", "lib/fog/aws/requests/compute/get_console_output.rb", "lib/fog/aws/requests/compute/get_password_data.rb", "lib/fog/aws/requests/compute/import_key_pair.rb", "lib/fog/aws/requests/compute/modify_image_attribute.rb", "lib/fog/aws/requests/compute/modify_instance_attribute.rb", "lib/fog/aws/requests/compute/modify_snapshot_attribute.rb", "lib/fog/aws/requests/compute/monitor_instances.rb", "lib/fog/aws/requests/compute/purchase_reserved_instances_offering.rb", "lib/fog/aws/requests/compute/reboot_instances.rb", "lib/fog/aws/requests/compute/register_image.rb", "lib/fog/aws/requests/compute/release_address.rb", "lib/fog/aws/requests/compute/request_spot_instances.rb", "lib/fog/aws/requests/compute/revoke_security_group_ingress.rb", "lib/fog/aws/requests/compute/run_instances.rb", "lib/fog/aws/requests/compute/start_instances.rb", "lib/fog/aws/requests/compute/stop_instances.rb", "lib/fog/aws/requests/compute/terminate_instances.rb", "lib/fog/aws/requests/compute/unmonitor_instances.rb", "lib/fog/aws/requests/dns/change_resource_record_sets.rb", "lib/fog/aws/requests/dns/create_hosted_zone.rb", "lib/fog/aws/requests/dns/delete_hosted_zone.rb", "lib/fog/aws/requests/dns/get_change.rb", "lib/fog/aws/requests/dns/get_hosted_zone.rb", "lib/fog/aws/requests/dns/list_hosted_zones.rb", "lib/fog/aws/requests/dns/list_resource_record_sets.rb", "lib/fog/aws/requests/dynamodb/batch_get_item.rb", "lib/fog/aws/requests/dynamodb/create_table.rb", "lib/fog/aws/requests/dynamodb/delete_item.rb", "lib/fog/aws/requests/dynamodb/delete_table.rb", "lib/fog/aws/requests/dynamodb/describe_table.rb", "lib/fog/aws/requests/dynamodb/get_item.rb", "lib/fog/aws/requests/dynamodb/list_tables.rb", "lib/fog/aws/requests/dynamodb/put_item.rb", "lib/fog/aws/requests/dynamodb/query.rb", "lib/fog/aws/requests/dynamodb/scan.rb", "lib/fog/aws/requests/dynamodb/update_item.rb", "lib/fog/aws/requests/dynamodb/update_table.rb", "lib/fog/aws/requests/elasticache/authorize_cache_security_group_ingress.rb", "lib/fog/aws/requests/elasticache/create_cache_cluster.rb", "lib/fog/aws/requests/elasticache/create_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/create_cache_security_group.rb", "lib/fog/aws/requests/elasticache/delete_cache_cluster.rb", "lib/fog/aws/requests/elasticache/delete_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/delete_cache_security_group.rb", "lib/fog/aws/requests/elasticache/describe_cache_clusters.rb", "lib/fog/aws/requests/elasticache/describe_cache_parameter_groups.rb", "lib/fog/aws/requests/elasticache/describe_cache_parameters.rb", "lib/fog/aws/requests/elasticache/describe_cache_security_groups.rb", "lib/fog/aws/requests/elasticache/describe_engine_default_parameters.rb", "lib/fog/aws/requests/elasticache/describe_events.rb", "lib/fog/aws/requests/elasticache/modify_cache_cluster.rb", "lib/fog/aws/requests/elasticache/modify_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/reboot_cache_cluster.rb", "lib/fog/aws/requests/elasticache/reset_cache_parameter_group.rb", "lib/fog/aws/requests/elasticache/revoke_cache_security_group_ingress.rb", "lib/fog/aws/requests/elb/configure_health_check.rb", "lib/fog/aws/requests/elb/create_app_cookie_stickiness_policy.rb", "lib/fog/aws/requests/elb/create_lb_cookie_stickiness_policy.rb", "lib/fog/aws/requests/elb/create_load_balancer.rb", "lib/fog/aws/requests/elb/create_load_balancer_listeners.rb", "lib/fog/aws/requests/elb/create_load_balancer_policy.rb", "lib/fog/aws/requests/elb/delete_load_balancer.rb", "lib/fog/aws/requests/elb/delete_load_balancer_listeners.rb", "lib/fog/aws/requests/elb/delete_load_balancer_policy.rb", "lib/fog/aws/requests/elb/deregister_instances_from_load_balancer.rb", "lib/fog/aws/requests/elb/describe_instance_health.rb", "lib/fog/aws/requests/elb/describe_load_balancer_policies.rb", "lib/fog/aws/requests/elb/describe_load_balancer_policy_types.rb", "lib/fog/aws/requests/elb/describe_load_balancers.rb", "lib/fog/aws/requests/elb/disable_availability_zones_for_load_balancer.rb", "lib/fog/aws/requests/elb/enable_availability_zones_for_load_balancer.rb", "lib/fog/aws/requests/elb/register_instances_with_load_balancer.rb", "lib/fog/aws/requests/elb/set_load_balancer_listener_ssl_certificate.rb", "lib/fog/aws/requests/elb/set_load_balancer_policies_of_listener.rb", "lib/fog/aws/requests/emr/add_instance_groups.rb", "lib/fog/aws/requests/emr/add_job_flow_steps.rb", "lib/fog/aws/requests/emr/describe_job_flows.rb", "lib/fog/aws/requests/emr/modify_instance_groups.rb", "lib/fog/aws/requests/emr/run_job_flow.rb", "lib/fog/aws/requests/emr/set_termination_protection.rb", "lib/fog/aws/requests/emr/terminate_job_flows.rb", "lib/fog/aws/requests/iam/add_user_to_group.rb", "lib/fog/aws/requests/iam/create_access_key.rb", "lib/fog/aws/requests/iam/create_account_alias.rb", "lib/fog/aws/requests/iam/create_group.rb", "lib/fog/aws/requests/iam/create_login_profile.rb", "lib/fog/aws/requests/iam/create_user.rb", "lib/fog/aws/requests/iam/delete_access_key.rb", "lib/fog/aws/requests/iam/delete_account_alias.rb", "lib/fog/aws/requests/iam/delete_group.rb", "lib/fog/aws/requests/iam/delete_group_policy.rb", "lib/fog/aws/requests/iam/delete_login_profile.rb", "lib/fog/aws/requests/iam/delete_server_certificate.rb", "lib/fog/aws/requests/iam/delete_signing_certificate.rb", "lib/fog/aws/requests/iam/delete_user.rb", "lib/fog/aws/requests/iam/delete_user_policy.rb", "lib/fog/aws/requests/iam/get_group.rb", "lib/fog/aws/requests/iam/get_group_policy.rb", "lib/fog/aws/requests/iam/get_login_profile.rb", "lib/fog/aws/requests/iam/get_server_certificate.rb", "lib/fog/aws/requests/iam/get_user.rb", "lib/fog/aws/requests/iam/get_user_policy.rb", "lib/fog/aws/requests/iam/list_access_keys.rb", "lib/fog/aws/requests/iam/list_account_aliases.rb", "lib/fog/aws/requests/iam/list_group_policies.rb", "lib/fog/aws/requests/iam/list_groups.rb", "lib/fog/aws/requests/iam/list_groups_for_user.rb", "lib/fog/aws/requests/iam/list_server_certificates.rb", "lib/fog/aws/requests/iam/list_signing_certificates.rb", "lib/fog/aws/requests/iam/list_user_policies.rb", "lib/fog/aws/requests/iam/list_users.rb", "lib/fog/aws/requests/iam/put_group_policy.rb", "lib/fog/aws/requests/iam/put_user_policy.rb", "lib/fog/aws/requests/iam/remove_user_from_group.rb", "lib/fog/aws/requests/iam/update_access_key.rb", "lib/fog/aws/requests/iam/update_group.rb", "lib/fog/aws/requests/iam/update_login_profile.rb", "lib/fog/aws/requests/iam/update_server_certificate.rb", "lib/fog/aws/requests/iam/update_signing_certificate.rb", "lib/fog/aws/requests/iam/update_user.rb", "lib/fog/aws/requests/iam/upload_server_certificate.rb", "lib/fog/aws/requests/iam/upload_signing_certificate.rb", "lib/fog/aws/requests/rds/authorize_db_security_group_ingress.rb", "lib/fog/aws/requests/rds/create_db_instance.rb", "lib/fog/aws/requests/rds/create_db_instance_read_replica.rb", "lib/fog/aws/requests/rds/create_db_parameter_group.rb", "lib/fog/aws/requests/rds/create_db_security_group.rb", "lib/fog/aws/requests/rds/create_db_snapshot.rb", "lib/fog/aws/requests/rds/delete_db_instance.rb", "lib/fog/aws/requests/rds/delete_db_parameter_group.rb", "lib/fog/aws/requests/rds/delete_db_security_group.rb", "lib/fog/aws/requests/rds/delete_db_snapshot.rb", "lib/fog/aws/requests/rds/describe_db_engine_versions.rb", "lib/fog/aws/requests/rds/describe_db_instances.rb", "lib/fog/aws/requests/rds/describe_db_parameter_groups.rb", "lib/fog/aws/requests/rds/describe_db_parameters.rb", "lib/fog/aws/requests/rds/describe_db_reserved_instances.rb", "lib/fog/aws/requests/rds/describe_db_security_groups.rb", "lib/fog/aws/requests/rds/describe_db_snapshots.rb", "lib/fog/aws/requests/rds/modify_db_instance.rb", "lib/fog/aws/requests/rds/modify_db_parameter_group.rb", "lib/fog/aws/requests/rds/reboot_db_instance.rb", "lib/fog/aws/requests/rds/restore_db_instance_from_db_snapshot.rb", "lib/fog/aws/requests/rds/restore_db_instance_to_point_in_time.rb", "lib/fog/aws/requests/rds/revoke_db_security_group_ingress.rb", "lib/fog/aws/requests/ses/delete_verified_email_address.rb", "lib/fog/aws/requests/ses/get_send_quota.rb", "lib/fog/aws/requests/ses/get_send_statistics.rb", "lib/fog/aws/requests/ses/list_verified_email_addresses.rb", "lib/fog/aws/requests/ses/send_email.rb", "lib/fog/aws/requests/ses/send_raw_email.rb", "lib/fog/aws/requests/ses/verify_email_address.rb", "lib/fog/aws/requests/simpledb/batch_put_attributes.rb", "lib/fog/aws/requests/simpledb/create_domain.rb", "lib/fog/aws/requests/simpledb/delete_attributes.rb", "lib/fog/aws/requests/simpledb/delete_domain.rb", "lib/fog/aws/requests/simpledb/domain_metadata.rb", "lib/fog/aws/requests/simpledb/get_attributes.rb", "lib/fog/aws/requests/simpledb/list_domains.rb", "lib/fog/aws/requests/simpledb/put_attributes.rb", "lib/fog/aws/requests/simpledb/select.rb", "lib/fog/aws/requests/sns/add_permission.rb", "lib/fog/aws/requests/sns/confirm_subscription.rb", "lib/fog/aws/requests/sns/create_topic.rb", "lib/fog/aws/requests/sns/delete_topic.rb", "lib/fog/aws/requests/sns/get_topic_attributes.rb", "lib/fog/aws/requests/sns/list_subscriptions.rb", "lib/fog/aws/requests/sns/list_subscriptions_by_topic.rb", "lib/fog/aws/requests/sns/list_topics.rb", "lib/fog/aws/requests/sns/publish.rb", "lib/fog/aws/requests/sns/remove_permission.rb", "lib/fog/aws/requests/sns/set_topic_attributes.rb", "lib/fog/aws/requests/sns/subscribe.rb", "lib/fog/aws/requests/sns/unsubscribe.rb", "lib/fog/aws/requests/sqs/change_message_visibility.rb", "lib/fog/aws/requests/sqs/create_queue.rb", "lib/fog/aws/requests/sqs/delete_message.rb", "lib/fog/aws/requests/sqs/delete_queue.rb", "lib/fog/aws/requests/sqs/get_queue_attributes.rb", "lib/fog/aws/requests/sqs/list_queues.rb", "lib/fog/aws/requests/sqs/receive_message.rb", "lib/fog/aws/requests/sqs/send_message.rb", "lib/fog/aws/requests/sqs/set_queue_attributes.rb", "lib/fog/aws/requests/storage/abort_multipart_upload.rb", "lib/fog/aws/requests/storage/acl_utils.rb", "lib/fog/aws/requests/storage/complete_multipart_upload.rb", "lib/fog/aws/requests/storage/copy_object.rb", "lib/fog/aws/requests/storage/delete_bucket.rb", "lib/fog/aws/requests/storage/delete_bucket_lifecycle.rb", "lib/fog/aws/requests/storage/delete_bucket_policy.rb", "lib/fog/aws/requests/storage/delete_bucket_website.rb", "lib/fog/aws/requests/storage/delete_object.rb", "lib/fog/aws/requests/storage/get_bucket.rb", "lib/fog/aws/requests/storage/get_bucket_acl.rb", "lib/fog/aws/requests/storage/get_bucket_lifecycle.rb", "lib/fog/aws/requests/storage/get_bucket_location.rb", "lib/fog/aws/requests/storage/get_bucket_logging.rb", "lib/fog/aws/requests/storage/get_bucket_object_versions.rb", "lib/fog/aws/requests/storage/get_bucket_policy.rb", "lib/fog/aws/requests/storage/get_bucket_versioning.rb", "lib/fog/aws/requests/storage/get_bucket_website.rb", "lib/fog/aws/requests/storage/get_object.rb", "lib/fog/aws/requests/storage/get_object_acl.rb", "lib/fog/aws/requests/storage/get_object_http_url.rb", "lib/fog/aws/requests/storage/get_object_https_url.rb", "lib/fog/aws/requests/storage/get_object_torrent.rb", "lib/fog/aws/requests/storage/get_object_url.rb", "lib/fog/aws/requests/storage/get_request_payment.rb", "lib/fog/aws/requests/storage/get_service.rb", "lib/fog/aws/requests/storage/head_object.rb", "lib/fog/aws/requests/storage/initiate_multipart_upload.rb", "lib/fog/aws/requests/storage/list_multipart_uploads.rb", "lib/fog/aws/requests/storage/list_parts.rb", "lib/fog/aws/requests/storage/post_object_hidden_fields.rb", "lib/fog/aws/requests/storage/put_bucket.rb", "lib/fog/aws/requests/storage/put_bucket_acl.rb", "lib/fog/aws/requests/storage/put_bucket_lifecycle.rb", "lib/fog/aws/requests/storage/put_bucket_logging.rb", "lib/fog/aws/requests/storage/put_bucket_policy.rb", "lib/fog/aws/requests/storage/put_bucket_versioning.rb", "lib/fog/aws/requests/storage/put_bucket_website.rb", "lib/fog/aws/requests/storage/put_object.rb", "lib/fog/aws/requests/storage/put_object_acl.rb", "lib/fog/aws/requests/storage/put_object_url.rb", "lib/fog/aws/requests/storage/put_request_payment.rb", "lib/fog/aws/requests/storage/sync_clock.rb", "lib/fog/aws/requests/storage/upload_part.rb", "lib/fog/aws/requests/sts/get_federation_token.rb", "lib/fog/aws/requests/sts/get_session_token.rb", "lib/fog/aws/ses.rb", "lib/fog/aws/simpledb.rb", "lib/fog/aws/sns.rb", "lib/fog/aws/sqs.rb", "lib/fog/aws/storage.rb", "lib/fog/aws/sts.rb", "lib/fog/bare_metal_cloud.rb", "lib/fog/bare_metal_cloud/compute.rb", "lib/fog/bare_metal_cloud/requests/compute/add_server.rb", "lib/fog/bare_metal_cloud/requests/compute/cancel_server.rb", "lib/fog/bare_metal_cloud/requests/compute/get_server.rb", "lib/fog/bare_metal_cloud/requests/compute/list_images.rb", "lib/fog/bare_metal_cloud/requests/compute/list_plans.rb", "lib/fog/bare_metal_cloud/requests/compute/list_servers.rb", "lib/fog/bare_metal_cloud/requests/compute/reboot_server.rb", "lib/fog/bin.rb", "lib/fog/bin/aws.rb", "lib/fog/bin/bare_metal_cloud.rb", "lib/fog/bin/bluebox.rb", "lib/fog/bin/brightbox.rb", "lib/fog/bin/clodo.rb", "lib/fog/bin/cloudstack.rb", "lib/fog/bin/dnsimple.rb", "lib/fog/bin/dnsmadeeasy.rb", "lib/fog/bin/dynect.rb", "lib/fog/bin/ecloud.rb", "lib/fog/bin/glesys.rb", "lib/fog/bin/go_grid.rb", "lib/fog/bin/google.rb", "lib/fog/bin/ibm.rb", "lib/fog/bin/joyent.rb", "lib/fog/bin/libvirt.rb", "lib/fog/bin/linode.rb", "lib/fog/bin/local.rb", "lib/fog/bin/ninefold.rb", "lib/fog/bin/openstack.rb", "lib/fog/bin/ovirt.rb", "lib/fog/bin/rackspace.rb", "lib/fog/bin/slicehost.rb", "lib/fog/bin/stormondemand.rb", "lib/fog/bin/terremark.rb", "lib/fog/bin/vcloud.rb", "lib/fog/bin/virtual_box.rb", "lib/fog/bin/vmfusion.rb", "lib/fog/bin/voxel.rb", "lib/fog/bin/vsphere.rb", "lib/fog/bin/zerigo.rb", "lib/fog/bluebox.rb", "lib/fog/bluebox/compute.rb", "lib/fog/bluebox/dns.rb", "lib/fog/bluebox/models/compute/flavor.rb", "lib/fog/bluebox/models/compute/flavors.rb", "lib/fog/bluebox/models/compute/image.rb", "lib/fog/bluebox/models/compute/images.rb", "lib/fog/bluebox/models/compute/location.rb", "lib/fog/bluebox/models/compute/locations.rb", "lib/fog/bluebox/models/compute/server.rb", "lib/fog/bluebox/models/compute/servers.rb", "lib/fog/bluebox/models/dns/record.rb", "lib/fog/bluebox/models/dns/records.rb", "lib/fog/bluebox/models/dns/zone.rb", "lib/fog/bluebox/models/dns/zones.rb", "lib/fog/bluebox/parsers/dns/create_record.rb", "lib/fog/bluebox/parsers/dns/create_zone.rb", "lib/fog/bluebox/parsers/dns/get_record.rb", "lib/fog/bluebox/parsers/dns/get_records.rb", "lib/fog/bluebox/parsers/dns/get_zone.rb", "lib/fog/bluebox/parsers/dns/get_zones.rb", "lib/fog/bluebox/requests/compute/create_block.rb", "lib/fog/bluebox/requests/compute/create_template.rb", "lib/fog/bluebox/requests/compute/destroy_block.rb", "lib/fog/bluebox/requests/compute/destroy_template.rb", "lib/fog/bluebox/requests/compute/get_block.rb", "lib/fog/bluebox/requests/compute/get_blocks.rb", "lib/fog/bluebox/requests/compute/get_location.rb", "lib/fog/bluebox/requests/compute/get_locations.rb", "lib/fog/bluebox/requests/compute/get_product.rb", "lib/fog/bluebox/requests/compute/get_products.rb", "lib/fog/bluebox/requests/compute/get_template.rb", "lib/fog/bluebox/requests/compute/get_templates.rb", "lib/fog/bluebox/requests/compute/reboot_block.rb", "lib/fog/bluebox/requests/dns/create_record.rb", "lib/fog/bluebox/requests/dns/create_zone.rb", "lib/fog/bluebox/requests/dns/delete_record.rb", "lib/fog/bluebox/requests/dns/delete_zone.rb", "lib/fog/bluebox/requests/dns/get_record.rb", "lib/fog/bluebox/requests/dns/get_records.rb", "lib/fog/bluebox/requests/dns/get_zone.rb", "lib/fog/bluebox/requests/dns/get_zones.rb", "lib/fog/bluebox/requests/dns/update_record.rb", "lib/fog/bluebox/requests/dns/update_zone.rb", "lib/fog/brightbox.rb", "lib/fog/brightbox/compute.rb", "lib/fog/brightbox/models/compute/account.rb", "lib/fog/brightbox/models/compute/cloud_ip.rb", "lib/fog/brightbox/models/compute/cloud_ips.rb", "lib/fog/brightbox/models/compute/firewall_policies.rb", "lib/fog/brightbox/models/compute/firewall_policy.rb", "lib/fog/brightbox/models/compute/firewall_rule.rb", "lib/fog/brightbox/models/compute/firewall_rules.rb", "lib/fog/brightbox/models/compute/flavor.rb", "lib/fog/brightbox/models/compute/flavors.rb", "lib/fog/brightbox/models/compute/image.rb", "lib/fog/brightbox/models/compute/images.rb", "lib/fog/brightbox/models/compute/load_balancer.rb", "lib/fog/brightbox/models/compute/load_balancers.rb", "lib/fog/brightbox/models/compute/server.rb", "lib/fog/brightbox/models/compute/server_group.rb", "lib/fog/brightbox/models/compute/server_groups.rb", "lib/fog/brightbox/models/compute/servers.rb", "lib/fog/brightbox/models/compute/user.rb", "lib/fog/brightbox/models/compute/users.rb", "lib/fog/brightbox/models/compute/zone.rb", "lib/fog/brightbox/models/compute/zones.rb", "lib/fog/brightbox/requests/compute/activate_console_server.rb", "lib/fog/brightbox/requests/compute/add_listeners_load_balancer.rb", "lib/fog/brightbox/requests/compute/add_nodes_load_balancer.rb", "lib/fog/brightbox/requests/compute/add_servers_server_group.rb", "lib/fog/brightbox/requests/compute/apply_to_firewall_policy.rb", "lib/fog/brightbox/requests/compute/create_api_client.rb", "lib/fog/brightbox/requests/compute/create_cloud_ip.rb", "lib/fog/brightbox/requests/compute/create_firewall_policy.rb", "lib/fog/brightbox/requests/compute/create_firewall_rule.rb", "lib/fog/brightbox/requests/compute/create_image.rb", "lib/fog/brightbox/requests/compute/create_load_balancer.rb", "lib/fog/brightbox/requests/compute/create_server.rb", "lib/fog/brightbox/requests/compute/create_server_group.rb", "lib/fog/brightbox/requests/compute/destroy_api_client.rb", "lib/fog/brightbox/requests/compute/destroy_cloud_ip.rb", "lib/fog/brightbox/requests/compute/destroy_firewall_policy.rb", "lib/fog/brightbox/requests/compute/destroy_firewall_rule.rb", "lib/fog/brightbox/requests/compute/destroy_image.rb", "lib/fog/brightbox/requests/compute/destroy_load_balancer.rb", "lib/fog/brightbox/requests/compute/destroy_server.rb", "lib/fog/brightbox/requests/compute/destroy_server_group.rb", "lib/fog/brightbox/requests/compute/get_account.rb", "lib/fog/brightbox/requests/compute/get_api_client.rb", "lib/fog/brightbox/requests/compute/get_cloud_ip.rb", "lib/fog/brightbox/requests/compute/get_firewall_policy.rb", "lib/fog/brightbox/requests/compute/get_firewall_rule.rb", "lib/fog/brightbox/requests/compute/get_image.rb", "lib/fog/brightbox/requests/compute/get_interface.rb", "lib/fog/brightbox/requests/compute/get_load_balancer.rb", "lib/fog/brightbox/requests/compute/get_server.rb", "lib/fog/brightbox/requests/compute/get_server_group.rb", "lib/fog/brightbox/requests/compute/get_server_type.rb", "lib/fog/brightbox/requests/compute/get_user.rb", "lib/fog/brightbox/requests/compute/get_zone.rb", "lib/fog/brightbox/requests/compute/list_api_clients.rb", "lib/fog/brightbox/requests/compute/list_cloud_ips.rb", "lib/fog/brightbox/requests/compute/list_firewall_policies.rb", "lib/fog/brightbox/requests/compute/list_images.rb", "lib/fog/brightbox/requests/compute/list_load_balancers.rb", "lib/fog/brightbox/requests/compute/list_server_groups.rb", "lib/fog/brightbox/requests/compute/list_server_types.rb", "lib/fog/brightbox/requests/compute/list_servers.rb", "lib/fog/brightbox/requests/compute/list_users.rb", "lib/fog/brightbox/requests/compute/list_zones.rb", "lib/fog/brightbox/requests/compute/map_cloud_ip.rb", "lib/fog/brightbox/requests/compute/move_servers_server_group.rb", "lib/fog/brightbox/requests/compute/remove_firewall_policy.rb", "lib/fog/brightbox/requests/compute/remove_listeners_load_balancer.rb", "lib/fog/brightbox/requests/compute/remove_nodes_load_balancer.rb", "lib/fog/brightbox/requests/compute/remove_servers_server_group.rb", "lib/fog/brightbox/requests/compute/reset_ftp_password_account.rb", "lib/fog/brightbox/requests/compute/reset_secret_api_client.rb", "lib/fog/brightbox/requests/compute/resize_server.rb", "lib/fog/brightbox/requests/compute/shutdown_server.rb", "lib/fog/brightbox/requests/compute/snapshot_server.rb", "lib/fog/brightbox/requests/compute/start_server.rb", "lib/fog/brightbox/requests/compute/stop_server.rb", "lib/fog/brightbox/requests/compute/unmap_cloud_ip.rb", "lib/fog/brightbox/requests/compute/update_account.rb", "lib/fog/brightbox/requests/compute/update_api_client.rb", "lib/fog/brightbox/requests/compute/update_cloud_ip.rb", "lib/fog/brightbox/requests/compute/update_firewall_rule.rb", "lib/fog/brightbox/requests/compute/update_image.rb", "lib/fog/brightbox/requests/compute/update_load_balancer.rb", "lib/fog/brightbox/requests/compute/update_server.rb", "lib/fog/brightbox/requests/compute/update_server_group.rb", "lib/fog/brightbox/requests/compute/update_user.rb", "lib/fog/cdn.rb", "lib/fog/clodo.rb", "lib/fog/clodo/compute.rb", "lib/fog/clodo/models/compute/image.rb", "lib/fog/clodo/models/compute/images.rb", "lib/fog/clodo/models/compute/server.rb", "lib/fog/clodo/models/compute/servers.rb", "lib/fog/clodo/requests/compute/add_ip_address.rb", "lib/fog/clodo/requests/compute/create_server.rb", "lib/fog/clodo/requests/compute/delete_ip_address.rb", "lib/fog/clodo/requests/compute/delete_server.rb", "lib/fog/clodo/requests/compute/get_image_details.rb", "lib/fog/clodo/requests/compute/get_server_details.rb", "lib/fog/clodo/requests/compute/list_images.rb", "lib/fog/clodo/requests/compute/list_images_detail.rb", "lib/fog/clodo/requests/compute/list_servers.rb", "lib/fog/clodo/requests/compute/list_servers_detail.rb", "lib/fog/clodo/requests/compute/move_ip_address.rb", "lib/fog/clodo/requests/compute/reboot_server.rb", "lib/fog/clodo/requests/compute/rebuild_server.rb", "lib/fog/clodo/requests/compute/server_action.rb", "lib/fog/clodo/requests/compute/start_server.rb", "lib/fog/clodo/requests/compute/stop_server.rb", "lib/fog/cloudstack.rb", "lib/fog/cloudstack/compute.rb", "lib/fog/cloudstack/requests/compute/acquire_ip_address.rb", "lib/fog/cloudstack/requests/compute/assign_to_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/attach_volume.rb", "lib/fog/cloudstack/requests/compute/authorize_security_group_ingress.rb", "lib/fog/cloudstack/requests/compute/change_service_for_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/create_account.rb", "lib/fog/cloudstack/requests/compute/create_domain.rb", "lib/fog/cloudstack/requests/compute/create_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/create_network.rb", "lib/fog/cloudstack/requests/compute/create_port_forwarding_rule.rb", "lib/fog/cloudstack/requests/compute/create_security_group.rb", "lib/fog/cloudstack/requests/compute/create_snapshot.rb", "lib/fog/cloudstack/requests/compute/create_snapshot_policy.rb", "lib/fog/cloudstack/requests/compute/create_ssh_key_pair.rb", "lib/fog/cloudstack/requests/compute/create_user.rb", "lib/fog/cloudstack/requests/compute/create_volume.rb", "lib/fog/cloudstack/requests/compute/delete_account.rb", "lib/fog/cloudstack/requests/compute/delete_domain.rb", "lib/fog/cloudstack/requests/compute/delete_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/delete_port_forwarding_rule.rb", "lib/fog/cloudstack/requests/compute/delete_security_group.rb", "lib/fog/cloudstack/requests/compute/delete_snapshot.rb", "lib/fog/cloudstack/requests/compute/delete_snapshot_policies.rb", "lib/fog/cloudstack/requests/compute/delete_ssh_key_pair.rb", "lib/fog/cloudstack/requests/compute/delete_user.rb", "lib/fog/cloudstack/requests/compute/delete_volume.rb", "lib/fog/cloudstack/requests/compute/deploy_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/destroy_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/detach_volume.rb", "lib/fog/cloudstack/requests/compute/disable_account.rb", "lib/fog/cloudstack/requests/compute/disable_user.rb", "lib/fog/cloudstack/requests/compute/enable_account.rb", "lib/fog/cloudstack/requests/compute/enable_user.rb", "lib/fog/cloudstack/requests/compute/generate_usage_records.rb", "lib/fog/cloudstack/requests/compute/get_vm_password.rb", "lib/fog/cloudstack/requests/compute/list_accounts.rb", "lib/fog/cloudstack/requests/compute/list_alerts.rb", "lib/fog/cloudstack/requests/compute/list_async_jobs.rb", "lib/fog/cloudstack/requests/compute/list_capabilities.rb", "lib/fog/cloudstack/requests/compute/list_capacity.rb", "lib/fog/cloudstack/requests/compute/list_clusters.rb", "lib/fog/cloudstack/requests/compute/list_configurations.rb", "lib/fog/cloudstack/requests/compute/list_disk_offerings.rb", "lib/fog/cloudstack/requests/compute/list_domain_children.rb", "lib/fog/cloudstack/requests/compute/list_domains.rb", "lib/fog/cloudstack/requests/compute/list_events.rb", "lib/fog/cloudstack/requests/compute/list_external_firewalls.rb", "lib/fog/cloudstack/requests/compute/list_external_load_balancers.rb", "lib/fog/cloudstack/requests/compute/list_hosts.rb", "lib/fog/cloudstack/requests/compute/list_hypervisors.rb", "lib/fog/cloudstack/requests/compute/list_instance_groups.rb", "lib/fog/cloudstack/requests/compute/list_isos.rb", "lib/fog/cloudstack/requests/compute/list_load_balancer_rule_instances.rb", "lib/fog/cloudstack/requests/compute/list_load_balancer_rules.rb", "lib/fog/cloudstack/requests/compute/list_network_offerings.rb", "lib/fog/cloudstack/requests/compute/list_networks.rb", "lib/fog/cloudstack/requests/compute/list_os_categories.rb", "lib/fog/cloudstack/requests/compute/list_os_types.rb", "lib/fog/cloudstack/requests/compute/list_pods.rb", "lib/fog/cloudstack/requests/compute/list_port_forwarding_rules.rb", "lib/fog/cloudstack/requests/compute/list_public_ip_addresses.rb", "lib/fog/cloudstack/requests/compute/list_resource_limits.rb", "lib/fog/cloudstack/requests/compute/list_security_groups.rb", "lib/fog/cloudstack/requests/compute/list_service_offerings.rb", "lib/fog/cloudstack/requests/compute/list_snapshot_policies.rb", "lib/fog/cloudstack/requests/compute/list_snapshots.rb", "lib/fog/cloudstack/requests/compute/list_ssh_key_pairs.rb", "lib/fog/cloudstack/requests/compute/list_storage_pools.rb", "lib/fog/cloudstack/requests/compute/list_templates.rb", "lib/fog/cloudstack/requests/compute/list_usage_records.rb", "lib/fog/cloudstack/requests/compute/list_users.rb", "lib/fog/cloudstack/requests/compute/list_virtual_machines.rb", "lib/fog/cloudstack/requests/compute/list_volumes.rb", "lib/fog/cloudstack/requests/compute/list_zones.rb", "lib/fog/cloudstack/requests/compute/migrate_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/query_async_job_result.rb", "lib/fog/cloudstack/requests/compute/reboot_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/recover_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/register_ssh_key_pair.rb", "lib/fog/cloudstack/requests/compute/register_user_keys.rb", "lib/fog/cloudstack/requests/compute/remove_from_load_balancer_rule.rb", "lib/fog/cloudstack/requests/compute/reset_password_for_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/revoke_security_group_ingress.rb", "lib/fog/cloudstack/requests/compute/start_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/stop_virtual_machine.rb", "lib/fog/cloudstack/requests/compute/update_account.rb", "lib/fog/cloudstack/requests/compute/update_domain.rb", "lib/fog/cloudstack/requests/compute/update_resource_count.rb", "lib/fog/cloudstack/requests/compute/update_user.rb", "lib/fog/cloudstack/requests/compute/update_virtual_machine.rb", "lib/fog/compute.rb", "lib/fog/compute/models/server.rb", "lib/fog/core.rb", "lib/fog/core/attributes.rb", "lib/fog/core/collection.rb", "lib/fog/core/connection.rb", "lib/fog/core/credentials.rb", "lib/fog/core/current_machine.rb", "lib/fog/core/deprecation.rb", "lib/fog/core/errors.rb", "lib/fog/core/hmac.rb", "lib/fog/core/json.rb", "lib/fog/core/logger.rb", "lib/fog/core/mock.rb", "lib/fog/core/model.rb", "lib/fog/core/parser.rb", "lib/fog/core/provider.rb", "lib/fog/core/scp.rb", "lib/fog/core/service.rb", "lib/fog/core/ssh.rb", "lib/fog/core/time.rb", "lib/fog/core/timeout.rb", "lib/fog/core/wait_for.rb", "lib/fog/dns.rb", "lib/fog/dnsimple.rb", "lib/fog/dnsimple/dns.rb", "lib/fog/dnsimple/models/dns/record.rb", "lib/fog/dnsimple/models/dns/records.rb", "lib/fog/dnsimple/models/dns/zone.rb", "lib/fog/dnsimple/models/dns/zones.rb", "lib/fog/dnsimple/requests/dns/create_domain.rb", "lib/fog/dnsimple/requests/dns/create_record.rb", "lib/fog/dnsimple/requests/dns/delete_domain.rb", "lib/fog/dnsimple/requests/dns/delete_record.rb", "lib/fog/dnsimple/requests/dns/get_domain.rb", "lib/fog/dnsimple/requests/dns/get_record.rb", "lib/fog/dnsimple/requests/dns/list_domains.rb", "lib/fog/dnsimple/requests/dns/list_records.rb", "lib/fog/dnsimple/requests/dns/update_record.rb", "lib/fog/dnsmadeeasy.rb", "lib/fog/dnsmadeeasy/dns.rb", "lib/fog/dnsmadeeasy/models/dns/record.rb", "lib/fog/dnsmadeeasy/models/dns/records.rb", "lib/fog/dnsmadeeasy/models/dns/zone.rb", "lib/fog/dnsmadeeasy/models/dns/zones.rb", "lib/fog/dnsmadeeasy/requests/dns/create_domain.rb", "lib/fog/dnsmadeeasy/requests/dns/create_record.rb", "lib/fog/dnsmadeeasy/requests/dns/create_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_all_domains.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_all_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_domain.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_record.rb", "lib/fog/dnsmadeeasy/requests/dns/delete_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/get_domain.rb", "lib/fog/dnsmadeeasy/requests/dns/get_record.rb", "lib/fog/dnsmadeeasy/requests/dns/get_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/list_domains.rb", "lib/fog/dnsmadeeasy/requests/dns/list_records.rb", "lib/fog/dnsmadeeasy/requests/dns/list_secondary.rb", "lib/fog/dnsmadeeasy/requests/dns/update_record.rb", "lib/fog/dnsmadeeasy/requests/dns/update_secondary.rb", "lib/fog/dynect.rb", "lib/fog/dynect/dns.rb", "lib/fog/dynect/models/dns/record.rb", "lib/fog/dynect/models/dns/records.rb", "lib/fog/dynect/models/dns/zone.rb", "lib/fog/dynect/models/dns/zones.rb", "lib/fog/dynect/requests/dns/delete_record.rb", "lib/fog/dynect/requests/dns/delete_zone.rb", "lib/fog/dynect/requests/dns/get_node_list.rb", "lib/fog/dynect/requests/dns/get_record.rb", "lib/fog/dynect/requests/dns/get_zone.rb", "lib/fog/dynect/requests/dns/post_record.rb", "lib/fog/dynect/requests/dns/post_session.rb", "lib/fog/dynect/requests/dns/post_zone.rb", "lib/fog/dynect/requests/dns/put_zone.rb", "lib/fog/ecloud.rb", "lib/fog/ecloud/compute.rb", "lib/fog/ecloud/models/compute/backup_internet_service.rb", "lib/fog/ecloud/models/compute/backup_internet_services.rb", "lib/fog/ecloud/models/compute/catalog.rb", "lib/fog/ecloud/models/compute/catalog_item.rb", "lib/fog/ecloud/models/compute/firewall_acl.rb", "lib/fog/ecloud/models/compute/firewall_acls.rb", "lib/fog/ecloud/models/compute/internet_service.rb", "lib/fog/ecloud/models/compute/internet_services.rb", "lib/fog/ecloud/models/compute/ip.rb", "lib/fog/ecloud/models/compute/ips.rb", "lib/fog/ecloud/models/compute/network.rb", "lib/fog/ecloud/models/compute/networks.rb", "lib/fog/ecloud/models/compute/node.rb", "lib/fog/ecloud/models/compute/nodes.rb", "lib/fog/ecloud/models/compute/public_ip.rb", "lib/fog/ecloud/models/compute/public_ips.rb", "lib/fog/ecloud/models/compute/server.rb", "lib/fog/ecloud/models/compute/servers.rb", "lib/fog/ecloud/models/compute/task.rb", "lib/fog/ecloud/models/compute/tasks.rb", "lib/fog/ecloud/models/compute/vdc.rb", "lib/fog/ecloud/models/compute/vdcs.rb", "lib/fog/ecloud/requests/compute/add_backup_internet_service.rb", "lib/fog/ecloud/requests/compute/add_internet_service.rb", "lib/fog/ecloud/requests/compute/add_node.rb", "lib/fog/ecloud/requests/compute/clone_vapp.rb", "lib/fog/ecloud/requests/compute/configure_internet_service.rb", "lib/fog/ecloud/requests/compute/configure_network.rb", "lib/fog/ecloud/requests/compute/configure_network_ip.rb", "lib/fog/ecloud/requests/compute/configure_node.rb", "lib/fog/ecloud/requests/compute/configure_vapp.rb", "lib/fog/ecloud/requests/compute/delete_internet_service.rb", "lib/fog/ecloud/requests/compute/delete_node.rb", "lib/fog/ecloud/requests/compute/delete_vapp.rb", "lib/fog/ecloud/requests/compute/get_catalog.rb", "lib/fog/ecloud/requests/compute/get_catalog_item.rb", "lib/fog/ecloud/requests/compute/get_customization_options.rb", "lib/fog/ecloud/requests/compute/get_firewall_acl.rb", "lib/fog/ecloud/requests/compute/get_firewall_acls.rb", "lib/fog/ecloud/requests/compute/get_internet_services.rb", "lib/fog/ecloud/requests/compute/get_network.rb", "lib/fog/ecloud/requests/compute/get_network_extensions.rb", "lib/fog/ecloud/requests/compute/get_network_ip.rb", "lib/fog/ecloud/requests/compute/get_network_ips.rb", "lib/fog/ecloud/requests/compute/get_node.rb", "lib/fog/ecloud/requests/compute/get_nodes.rb", "lib/fog/ecloud/requests/compute/get_organization.rb", "lib/fog/ecloud/requests/compute/get_public_ip.rb", "lib/fog/ecloud/requests/compute/get_public_ips.rb", "lib/fog/ecloud/requests/compute/get_task.rb", "lib/fog/ecloud/requests/compute/get_task_list.rb", "lib/fog/ecloud/requests/compute/get_vapp.rb", "lib/fog/ecloud/requests/compute/get_vapp_template.rb", "lib/fog/ecloud/requests/compute/get_vdc.rb", "lib/fog/ecloud/requests/compute/get_versions.rb", "lib/fog/ecloud/requests/compute/instantiate_vapp_template.rb", "lib/fog/ecloud/requests/compute/login.rb", "lib/fog/ecloud/requests/compute/power_off.rb", "lib/fog/ecloud/requests/compute/power_on.rb", "lib/fog/ecloud/requests/compute/power_reset.rb", "lib/fog/ecloud/requests/compute/power_shutdown.rb", "lib/fog/glesys.rb", "lib/fog/glesys/compute.rb", "lib/fog/glesys/models/compute/ip.rb", "lib/fog/glesys/models/compute/ips.rb", "lib/fog/glesys/models/compute/server.rb", "lib/fog/glesys/models/compute/servers.rb", "lib/fog/glesys/models/compute/template.rb", "lib/fog/glesys/models/compute/templates.rb", "lib/fog/glesys/requests/compute/create.rb", "lib/fog/glesys/requests/compute/destroy.rb", "lib/fog/glesys/requests/compute/ip_add.rb", "lib/fog/glesys/requests/compute/ip_details.rb", "lib/fog/glesys/requests/compute/ip_list_free.rb", "lib/fog/glesys/requests/compute/ip_list_own.rb", "lib/fog/glesys/requests/compute/ip_release.rb", "lib/fog/glesys/requests/compute/ip_remove.rb", "lib/fog/glesys/requests/compute/ip_take.rb", "lib/fog/glesys/requests/compute/list_servers.rb", "lib/fog/glesys/requests/compute/server_details.rb", "lib/fog/glesys/requests/compute/server_status.rb", "lib/fog/glesys/requests/compute/start.rb", "lib/fog/glesys/requests/compute/stop.rb", "lib/fog/glesys/requests/compute/template_list.rb", "lib/fog/go_grid.rb", "lib/fog/go_grid/compute.rb", "lib/fog/go_grid/models/compute/image.rb", "lib/fog/go_grid/models/compute/images.rb", "lib/fog/go_grid/models/compute/password.rb", "lib/fog/go_grid/models/compute/passwords.rb", "lib/fog/go_grid/models/compute/server.rb", "lib/fog/go_grid/models/compute/servers.rb", "lib/fog/go_grid/requests/compute/common_lookup_list.rb", "lib/fog/go_grid/requests/compute/grid_image_get.rb", "lib/fog/go_grid/requests/compute/grid_image_list.rb", "lib/fog/go_grid/requests/compute/grid_ip_list.rb", "lib/fog/go_grid/requests/compute/grid_loadbalancer_list.rb", "lib/fog/go_grid/requests/compute/grid_server_add.rb", "lib/fog/go_grid/requests/compute/grid_server_delete.rb", "lib/fog/go_grid/requests/compute/grid_server_get.rb", "lib/fog/go_grid/requests/compute/grid_server_list.rb", "lib/fog/go_grid/requests/compute/grid_server_power.rb", "lib/fog/go_grid/requests/compute/support_password_get.rb", "lib/fog/go_grid/requests/compute/support_password_list.rb", "lib/fog/google.rb", "lib/fog/google/models/storage/directories.rb", "lib/fog/google/models/storage/directory.rb", "lib/fog/google/models/storage/file.rb", "lib/fog/google/models/storage/files.rb", "lib/fog/google/parsers/storage/access_control_list.rb", "lib/fog/google/parsers/storage/copy_object.rb", "lib/fog/google/parsers/storage/get_bucket.rb", "lib/fog/google/parsers/storage/get_bucket_logging.rb", "lib/fog/google/parsers/storage/get_bucket_object_versions.rb", "lib/fog/google/parsers/storage/get_bucket_versioning.rb", "lib/fog/google/parsers/storage/get_request_payment.rb", "lib/fog/google/parsers/storage/get_service.rb", "lib/fog/google/requests/storage/copy_object.rb", "lib/fog/google/requests/storage/delete_bucket.rb", "lib/fog/google/requests/storage/delete_object.rb", "lib/fog/google/requests/storage/get_bucket.rb", "lib/fog/google/requests/storage/get_bucket_acl.rb", "lib/fog/google/requests/storage/get_object.rb", "lib/fog/google/requests/storage/get_object_acl.rb", "lib/fog/google/requests/storage/get_object_http_url.rb", "lib/fog/google/requests/storage/get_object_https_url.rb", "lib/fog/google/requests/storage/get_object_torrent.rb", "lib/fog/google/requests/storage/get_object_url.rb", "lib/fog/google/requests/storage/get_service.rb", "lib/fog/google/requests/storage/head_object.rb", "lib/fog/google/requests/storage/put_bucket.rb", "lib/fog/google/requests/storage/put_bucket_acl.rb", "lib/fog/google/requests/storage/put_object.rb", "lib/fog/google/requests/storage/put_object_url.rb", "lib/fog/google/storage.rb", "lib/fog/ibm.rb", "lib/fog/ibm/compute.rb", "lib/fog/ibm/models/compute/address.rb", "lib/fog/ibm/models/compute/addresses.rb", "lib/fog/ibm/models/compute/image.rb", "lib/fog/ibm/models/compute/images.rb", "lib/fog/ibm/models/compute/instance-type.rb", "lib/fog/ibm/models/compute/instance-types.rb", "lib/fog/ibm/models/compute/key.rb", "lib/fog/ibm/models/compute/keys.rb", "lib/fog/ibm/models/compute/location.rb", "lib/fog/ibm/models/compute/locations.rb", "lib/fog/ibm/models/compute/server.rb", "lib/fog/ibm/models/compute/servers.rb", "lib/fog/ibm/models/compute/vlan.rb", "lib/fog/ibm/models/compute/vlans.rb", "lib/fog/ibm/models/storage/offering.rb", "lib/fog/ibm/models/storage/offerings.rb", "lib/fog/ibm/models/storage/volume.rb", "lib/fog/ibm/models/storage/volumes.rb", "lib/fog/ibm/requests/compute/clone_image.rb", "lib/fog/ibm/requests/compute/create_address.rb", "lib/fog/ibm/requests/compute/create_image.rb", "lib/fog/ibm/requests/compute/create_instance.rb", "lib/fog/ibm/requests/compute/create_key.rb", "lib/fog/ibm/requests/compute/delete_address.rb", "lib/fog/ibm/requests/compute/delete_image.rb", "lib/fog/ibm/requests/compute/delete_instance.rb", "lib/fog/ibm/requests/compute/delete_key.rb", "lib/fog/ibm/requests/compute/get_image.rb", "lib/fog/ibm/requests/compute/get_image_agreement.rb", "lib/fog/ibm/requests/compute/get_image_manifest.rb", "lib/fog/ibm/requests/compute/get_instance.rb", "lib/fog/ibm/requests/compute/get_instance_logs.rb", "lib/fog/ibm/requests/compute/get_key.rb", "lib/fog/ibm/requests/compute/get_location.rb", "lib/fog/ibm/requests/compute/get_request.rb", "lib/fog/ibm/requests/compute/list_address_offerings.rb", "lib/fog/ibm/requests/compute/list_addresses.rb", "lib/fog/ibm/requests/compute/list_images.rb", "lib/fog/ibm/requests/compute/list_instances.rb", "lib/fog/ibm/requests/compute/list_keys.rb", "lib/fog/ibm/requests/compute/list_locations.rb", "lib/fog/ibm/requests/compute/list_vlans.rb", "lib/fog/ibm/requests/compute/modify_instance.rb", "lib/fog/ibm/requests/compute/modify_key.rb", "lib/fog/ibm/requests/storage/create_volume.rb", "lib/fog/ibm/requests/storage/delete_volume.rb", "lib/fog/ibm/requests/storage/get_volume.rb", "lib/fog/ibm/requests/storage/list_offerings.rb", "lib/fog/ibm/requests/storage/list_volumes.rb", "lib/fog/ibm/storage.rb", "lib/fog/joyent.rb", "lib/fog/joyent/compute.rb", "lib/fog/joyent/errors.rb", "lib/fog/joyent/models/compute/flavor.rb", "lib/fog/joyent/models/compute/flavors.rb", "lib/fog/joyent/models/compute/image.rb", "lib/fog/joyent/models/compute/images.rb", "lib/fog/joyent/models/compute/key.rb", "lib/fog/joyent/models/compute/keys.rb", "lib/fog/joyent/models/compute/server.rb", "lib/fog/joyent/models/compute/servers.rb", "lib/fog/joyent/models/compute/snapshot.rb", "lib/fog/joyent/models/compute/snapshots.rb", "lib/fog/joyent/requests/compute/add_machine_tags.rb", "lib/fog/joyent/requests/compute/create_key.rb", "lib/fog/joyent/requests/compute/create_machine.rb", "lib/fog/joyent/requests/compute/create_machine_snapshot.rb", "lib/fog/joyent/requests/compute/delete_all_machine_metadata.rb", "lib/fog/joyent/requests/compute/delete_all_machine_tags.rb", "lib/fog/joyent/requests/compute/delete_key.rb", "lib/fog/joyent/requests/compute/delete_machine.rb", "lib/fog/joyent/requests/compute/delete_machine_metadata.rb", "lib/fog/joyent/requests/compute/delete_machine_snapshot.rb", "lib/fog/joyent/requests/compute/delete_machine_tag.rb", "lib/fog/joyent/requests/compute/get_dataset.rb", "lib/fog/joyent/requests/compute/get_key.rb", "lib/fog/joyent/requests/compute/get_machine.rb", "lib/fog/joyent/requests/compute/get_machine_metadata.rb", "lib/fog/joyent/requests/compute/get_machine_snapshot.rb", "lib/fog/joyent/requests/compute/get_machine_tag.rb", "lib/fog/joyent/requests/compute/get_package.rb", "lib/fog/joyent/requests/compute/list_datasets.rb", "lib/fog/joyent/requests/compute/list_keys.rb", "lib/fog/joyent/requests/compute/list_machine_snapshots.rb", "lib/fog/joyent/requests/compute/list_machine_tags.rb", "lib/fog/joyent/requests/compute/list_machines.rb", "lib/fog/joyent/requests/compute/list_packages.rb", "lib/fog/joyent/requests/compute/reboot_machine.rb", "lib/fog/joyent/requests/compute/resize_machine.rb", "lib/fog/joyent/requests/compute/start_machine.rb", "lib/fog/joyent/requests/compute/start_machine_from_snapshot.rb", "lib/fog/joyent/requests/compute/stop_machine.rb", "lib/fog/joyent/requests/compute/update_machine_metadata.rb", "lib/fog/libvirt.rb", "lib/fog/libvirt/compute.rb", "lib/fog/libvirt/models/compute/README.md", "lib/fog/libvirt/models/compute/interface.rb", "lib/fog/libvirt/models/compute/interfaces.rb", "lib/fog/libvirt/models/compute/network.rb", "lib/fog/libvirt/models/compute/networks.rb", "lib/fog/libvirt/models/compute/node.rb", "lib/fog/libvirt/models/compute/nodes.rb", "lib/fog/libvirt/models/compute/pool.rb", "lib/fog/libvirt/models/compute/pools.rb", "lib/fog/libvirt/models/compute/server.rb", "lib/fog/libvirt/models/compute/servers.rb", "lib/fog/libvirt/models/compute/templates/network.xml.erb", "lib/fog/libvirt/models/compute/templates/pool.xml.erb", "lib/fog/libvirt/models/compute/templates/server.xml.erb", "lib/fog/libvirt/models/compute/templates/volume.xml.erb", "lib/fog/libvirt/models/compute/uri.rb", "lib/fog/libvirt/models/compute/util.rb", "lib/fog/libvirt/models/compute/volume.rb", "lib/fog/libvirt/models/compute/volumes.rb", "lib/fog/linode.rb", "lib/fog/linode/compute.rb", "lib/fog/linode/dns.rb", "lib/fog/linode/models/compute/data_center.rb", "lib/fog/linode/models/compute/data_centers.rb", "lib/fog/linode/models/compute/disk.rb", "lib/fog/linode/models/compute/disks.rb", "lib/fog/linode/models/compute/flavor.rb", "lib/fog/linode/models/compute/flavors.rb", "lib/fog/linode/models/compute/image.rb", "lib/fog/linode/models/compute/images.rb", "lib/fog/linode/models/compute/ip.rb", "lib/fog/linode/models/compute/ips.rb", "lib/fog/linode/models/compute/kernel.rb", "lib/fog/linode/models/compute/kernels.rb", "lib/fog/linode/models/compute/server.rb", "lib/fog/linode/models/compute/servers.rb", "lib/fog/linode/models/compute/stack_script.rb", "lib/fog/linode/models/compute/stack_scripts.rb", "lib/fog/linode/models/dns/record.rb", "lib/fog/linode/models/dns/records.rb", "lib/fog/linode/models/dns/zone.rb", "lib/fog/linode/models/dns/zones.rb", "lib/fog/linode/requests/compute/avail_datacenters.rb", "lib/fog/linode/requests/compute/avail_distributions.rb", "lib/fog/linode/requests/compute/avail_kernels.rb", "lib/fog/linode/requests/compute/avail_linodeplans.rb", "lib/fog/linode/requests/compute/avail_stackscripts.rb", "lib/fog/linode/requests/compute/linode_boot.rb", "lib/fog/linode/requests/compute/linode_config_create.rb", "lib/fog/linode/requests/compute/linode_config_list.rb", "lib/fog/linode/requests/compute/linode_create.rb", "lib/fog/linode/requests/compute/linode_delete.rb", "lib/fog/linode/requests/compute/linode_disk_create.rb", "lib/fog/linode/requests/compute/linode_disk_createfromdistribution.rb", "lib/fog/linode/requests/compute/linode_disk_createfromstackscript.rb", "lib/fog/linode/requests/compute/linode_disk_delete.rb", "lib/fog/linode/requests/compute/linode_disk_list.rb", "lib/fog/linode/requests/compute/linode_ip_addprivate.rb", "lib/fog/linode/requests/compute/linode_ip_list.rb", "lib/fog/linode/requests/compute/linode_list.rb", "lib/fog/linode/requests/compute/linode_reboot.rb", "lib/fog/linode/requests/compute/linode_shutdown.rb", "lib/fog/linode/requests/compute/linode_update.rb", "lib/fog/linode/requests/compute/stackscript_list.rb", "lib/fog/linode/requests/dns/domain_create.rb", "lib/fog/linode/requests/dns/domain_delete.rb", "lib/fog/linode/requests/dns/domain_list.rb", "lib/fog/linode/requests/dns/domain_resource_create.rb", "lib/fog/linode/requests/dns/domain_resource_delete.rb", "lib/fog/linode/requests/dns/domain_resource_list.rb", "lib/fog/linode/requests/dns/domain_resource_update.rb", "lib/fog/linode/requests/dns/domain_update.rb", "lib/fog/local.rb", "lib/fog/local/models/storage/directories.rb", "lib/fog/local/models/storage/directory.rb", "lib/fog/local/models/storage/file.rb", "lib/fog/local/models/storage/files.rb", "lib/fog/local/storage.rb", "lib/fog/ninefold.rb", "lib/fog/ninefold/compute.rb", "lib/fog/ninefold/models/compute/address.rb", "lib/fog/ninefold/models/compute/addresses.rb", "lib/fog/ninefold/models/compute/flavor.rb", "lib/fog/ninefold/models/compute/flavors.rb", "lib/fog/ninefold/models/compute/image.rb", "lib/fog/ninefold/models/compute/images.rb", "lib/fog/ninefold/models/compute/ip_forwarding_rule.rb", "lib/fog/ninefold/models/compute/ip_forwarding_rules.rb", "lib/fog/ninefold/models/compute/server.rb", "lib/fog/ninefold/models/compute/servers.rb", "lib/fog/ninefold/models/storage/directories.rb", "lib/fog/ninefold/models/storage/directory.rb", "lib/fog/ninefold/models/storage/file.rb", "lib/fog/ninefold/models/storage/files.rb", "lib/fog/ninefold/requests/compute/associate_ip_address.rb", "lib/fog/ninefold/requests/compute/change_service_for_virtual_machine.rb", "lib/fog/ninefold/requests/compute/create_ip_forwarding_rule.rb", "lib/fog/ninefold/requests/compute/delete_ip_forwarding_rule.rb", "lib/fog/ninefold/requests/compute/deploy_virtual_machine.rb", "lib/fog/ninefold/requests/compute/destroy_virtual_machine.rb", "lib/fog/ninefold/requests/compute/disable_static_nat.rb", "lib/fog/ninefold/requests/compute/disassociate_ip_address.rb", "lib/fog/ninefold/requests/compute/enable_static_nat.rb", "lib/fog/ninefold/requests/compute/list_accounts.rb", "lib/fog/ninefold/requests/compute/list_async_jobs.rb", "lib/fog/ninefold/requests/compute/list_capabilities.rb", "lib/fog/ninefold/requests/compute/list_disk_offerings.rb", "lib/fog/ninefold/requests/compute/list_events.rb", "lib/fog/ninefold/requests/compute/list_hypervisors.rb", "lib/fog/ninefold/requests/compute/list_ip_forwarding_rules.rb", "lib/fog/ninefold/requests/compute/list_network_offerings.rb", "lib/fog/ninefold/requests/compute/list_networks.rb", "lib/fog/ninefold/requests/compute/list_public_ip_addresses.rb", "lib/fog/ninefold/requests/compute/list_resource_limits.rb", "lib/fog/ninefold/requests/compute/list_service_offerings.rb", "lib/fog/ninefold/requests/compute/list_templates.rb", "lib/fog/ninefold/requests/compute/list_virtual_machines.rb", "lib/fog/ninefold/requests/compute/list_zones.rb", "lib/fog/ninefold/requests/compute/query_async_job_result.rb", "lib/fog/ninefold/requests/compute/reboot_virtual_machine.rb", "lib/fog/ninefold/requests/compute/reset_password_for_virtual_machine.rb", "lib/fog/ninefold/requests/compute/start_virtual_machine.rb", "lib/fog/ninefold/requests/compute/stop_virtual_machine.rb", "lib/fog/ninefold/requests/compute/update_virtual_machine.rb", "lib/fog/ninefold/requests/storage/delete_namespace.rb", "lib/fog/ninefold/requests/storage/get_namespace.rb", "lib/fog/ninefold/requests/storage/head_namespace.rb", "lib/fog/ninefold/requests/storage/post_namespace.rb", "lib/fog/ninefold/requests/storage/put_namespace.rb", "lib/fog/ninefold/storage.rb", "lib/fog/openstack.rb", "lib/fog/openstack/compute.rb", "lib/fog/openstack/models/compute/flavor.rb", "lib/fog/openstack/models/compute/flavors.rb", "lib/fog/openstack/models/compute/image.rb", "lib/fog/openstack/models/compute/images.rb", "lib/fog/openstack/models/compute/meta.rb", "lib/fog/openstack/models/compute/metadata.rb", "lib/fog/openstack/models/compute/server.rb", "lib/fog/openstack/models/compute/servers.rb", "lib/fog/openstack/models/meta_parent.rb", "lib/fog/openstack/requests/compute/change_password_server.rb", "lib/fog/openstack/requests/compute/confirm_resized_server.rb", "lib/fog/openstack/requests/compute/create_image.rb", "lib/fog/openstack/requests/compute/create_server.rb", "lib/fog/openstack/requests/compute/delete_image.rb", "lib/fog/openstack/requests/compute/delete_meta.rb", "lib/fog/openstack/requests/compute/delete_server.rb", "lib/fog/openstack/requests/compute/get_flavor_details.rb", "lib/fog/openstack/requests/compute/get_image_details.rb", "lib/fog/openstack/requests/compute/get_meta.rb", "lib/fog/openstack/requests/compute/get_server_details.rb", "lib/fog/openstack/requests/compute/list_addresses.rb", "lib/fog/openstack/requests/compute/list_flavors.rb", "lib/fog/openstack/requests/compute/list_flavors_detail.rb", "lib/fog/openstack/requests/compute/list_images.rb", "lib/fog/openstack/requests/compute/list_images_detail.rb", "lib/fog/openstack/requests/compute/list_metadata.rb", "lib/fog/openstack/requests/compute/list_private_addresses.rb", "lib/fog/openstack/requests/compute/list_public_addresses.rb", "lib/fog/openstack/requests/compute/list_servers.rb", "lib/fog/openstack/requests/compute/list_servers_detail.rb", "lib/fog/openstack/requests/compute/reboot_server.rb", "lib/fog/openstack/requests/compute/rebuild_server.rb", "lib/fog/openstack/requests/compute/resize_server.rb", "lib/fog/openstack/requests/compute/revert_resized_server.rb", "lib/fog/openstack/requests/compute/server_action.rb", "lib/fog/openstack/requests/compute/set_metadata.rb", "lib/fog/openstack/requests/compute/update_meta.rb", "lib/fog/openstack/requests/compute/update_metadata.rb", "lib/fog/openstack/requests/compute/update_server.rb", "lib/fog/ovirt.rb", "lib/fog/ovirt/compute.rb", "lib/fog/ovirt/models/compute/cluster.rb", "lib/fog/ovirt/models/compute/clusters.rb", "lib/fog/ovirt/models/compute/interface.rb", "lib/fog/ovirt/models/compute/interfaces.rb", "lib/fog/ovirt/models/compute/server.rb", "lib/fog/ovirt/models/compute/servers.rb", "lib/fog/ovirt/models/compute/template.rb", "lib/fog/ovirt/models/compute/templates.rb", "lib/fog/ovirt/requests/compute/add_interface.rb", "lib/fog/ovirt/requests/compute/create_vm.rb", "lib/fog/ovirt/requests/compute/datacenters.rb", "lib/fog/ovirt/requests/compute/destroy_interface.rb", "lib/fog/ovirt/requests/compute/destroy_vm.rb", "lib/fog/ovirt/requests/compute/get_cluster.rb", "lib/fog/ovirt/requests/compute/get_template.rb", "lib/fog/ovirt/requests/compute/get_virtual_machine.rb", "lib/fog/ovirt/requests/compute/list_clusters.rb", "lib/fog/ovirt/requests/compute/list_networks.rb", "lib/fog/ovirt/requests/compute/list_template_interfaces.rb", "lib/fog/ovirt/requests/compute/list_templates.rb", "lib/fog/ovirt/requests/compute/list_virtual_machines.rb", "lib/fog/ovirt/requests/compute/list_vm_interfaces.rb", "lib/fog/ovirt/requests/compute/mock_files/cluster.xml", "lib/fog/ovirt/requests/compute/mock_files/clusters.xml", "lib/fog/ovirt/requests/compute/mock_files/data_centers.xml", "lib/fog/ovirt/requests/compute/mock_files/nics.xml", "lib/fog/ovirt/requests/compute/mock_files/storage_domains.xml", "lib/fog/ovirt/requests/compute/mock_files/template.xml", "lib/fog/ovirt/requests/compute/mock_files/templates.xml", "lib/fog/ovirt/requests/compute/mock_files/vm.xml", "lib/fog/ovirt/requests/compute/mock_files/vms.xml", "lib/fog/ovirt/requests/compute/storage_domains.rb", "lib/fog/ovirt/requests/compute/update_interface.rb", "lib/fog/ovirt/requests/compute/update_vm.rb", "lib/fog/ovirt/requests/compute/vm_action.rb", "lib/fog/ovirt/requests/compute/vm_ticket.rb", "lib/fog/providers.rb", "lib/fog/rackspace.rb", "lib/fog/rackspace/cdn.rb", "lib/fog/rackspace/compute.rb", "lib/fog/rackspace/dns.rb", "lib/fog/rackspace/load_balancers.rb", "lib/fog/rackspace/models/compute/flavor.rb", "lib/fog/rackspace/models/compute/flavors.rb", "lib/fog/rackspace/models/compute/image.rb", "lib/fog/rackspace/models/compute/images.rb", "lib/fog/rackspace/models/compute/server.rb", "lib/fog/rackspace/models/compute/servers.rb", "lib/fog/rackspace/models/dns/callback.rb", "lib/fog/rackspace/models/dns/record.rb", "lib/fog/rackspace/models/dns/records.rb", "lib/fog/rackspace/models/dns/zone.rb", "lib/fog/rackspace/models/dns/zones.rb", "lib/fog/rackspace/models/load_balancers/access_rule.rb", "lib/fog/rackspace/models/load_balancers/access_rules.rb", "lib/fog/rackspace/models/load_balancers/load_balancer.rb", "lib/fog/rackspace/models/load_balancers/load_balancers.rb", "lib/fog/rackspace/models/load_balancers/node.rb", "lib/fog/rackspace/models/load_balancers/nodes.rb", "lib/fog/rackspace/models/load_balancers/virtual_ip.rb", "lib/fog/rackspace/models/load_balancers/virtual_ips.rb", "lib/fog/rackspace/models/storage/directories.rb", "lib/fog/rackspace/models/storage/directory.rb", "lib/fog/rackspace/models/storage/file.rb", "lib/fog/rackspace/models/storage/files.rb", "lib/fog/rackspace/requests/cdn/get_containers.rb", "lib/fog/rackspace/requests/cdn/head_container.rb", "lib/fog/rackspace/requests/cdn/post_container.rb", "lib/fog/rackspace/requests/cdn/put_container.rb", "lib/fog/rackspace/requests/compute/confirm_resized_server.rb", "lib/fog/rackspace/requests/compute/create_image.rb", "lib/fog/rackspace/requests/compute/create_server.rb", "lib/fog/rackspace/requests/compute/delete_image.rb", "lib/fog/rackspace/requests/compute/delete_server.rb", "lib/fog/rackspace/requests/compute/get_flavor_details.rb", "lib/fog/rackspace/requests/compute/get_image_details.rb", "lib/fog/rackspace/requests/compute/get_server_details.rb", "lib/fog/rackspace/requests/compute/list_addresses.rb", "lib/fog/rackspace/requests/compute/list_flavors.rb", "lib/fog/rackspace/requests/compute/list_flavors_detail.rb", "lib/fog/rackspace/requests/compute/list_images.rb", "lib/fog/rackspace/requests/compute/list_images_detail.rb", "lib/fog/rackspace/requests/compute/list_private_addresses.rb", "lib/fog/rackspace/requests/compute/list_public_addresses.rb", "lib/fog/rackspace/requests/compute/list_servers.rb", "lib/fog/rackspace/requests/compute/list_servers_detail.rb", "lib/fog/rackspace/requests/compute/reboot_server.rb", "lib/fog/rackspace/requests/compute/resize_server.rb", "lib/fog/rackspace/requests/compute/revert_resized_server.rb", "lib/fog/rackspace/requests/compute/server_action.rb", "lib/fog/rackspace/requests/compute/update_server.rb", "lib/fog/rackspace/requests/dns/add_records.rb", "lib/fog/rackspace/requests/dns/callback.rb", "lib/fog/rackspace/requests/dns/create_domains.rb", "lib/fog/rackspace/requests/dns/list_domain_details.rb", "lib/fog/rackspace/requests/dns/list_domains.rb", "lib/fog/rackspace/requests/dns/list_record_details.rb", "lib/fog/rackspace/requests/dns/list_records.rb", "lib/fog/rackspace/requests/dns/list_subdomains.rb", "lib/fog/rackspace/requests/dns/modify_domain.rb", "lib/fog/rackspace/requests/dns/modify_record.rb", "lib/fog/rackspace/requests/dns/remove_domain.rb", "lib/fog/rackspace/requests/dns/remove_domains.rb", "lib/fog/rackspace/requests/dns/remove_record.rb", "lib/fog/rackspace/requests/dns/remove_records.rb", "lib/fog/rackspace/requests/load_balancers/create_access_rule.rb", "lib/fog/rackspace/requests/load_balancers/create_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/create_node.rb", "lib/fog/rackspace/requests/load_balancers/create_virtual_ip.rb", "lib/fog/rackspace/requests/load_balancers/delete_access_rule.rb", "lib/fog/rackspace/requests/load_balancers/delete_all_access_rules.rb", "lib/fog/rackspace/requests/load_balancers/delete_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/delete_node.rb", "lib/fog/rackspace/requests/load_balancers/delete_nodes.rb", "lib/fog/rackspace/requests/load_balancers/delete_virtual_ip.rb", "lib/fog/rackspace/requests/load_balancers/get_connection_logging.rb", "lib/fog/rackspace/requests/load_balancers/get_connection_throttling.rb", "lib/fog/rackspace/requests/load_balancers/get_error_page.rb", "lib/fog/rackspace/requests/load_balancers/get_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/get_load_balancer_usage.rb", "lib/fog/rackspace/requests/load_balancers/get_monitor.rb", "lib/fog/rackspace/requests/load_balancers/get_node.rb", "lib/fog/rackspace/requests/load_balancers/get_session_persistence.rb", "lib/fog/rackspace/requests/load_balancers/get_usage.rb", "lib/fog/rackspace/requests/load_balancers/list_access_rules.rb", "lib/fog/rackspace/requests/load_balancers/list_algorithms.rb", "lib/fog/rackspace/requests/load_balancers/list_load_balancers.rb", "lib/fog/rackspace/requests/load_balancers/list_nodes.rb", "lib/fog/rackspace/requests/load_balancers/list_protocols.rb", "lib/fog/rackspace/requests/load_balancers/list_virtual_ips.rb", "lib/fog/rackspace/requests/load_balancers/remove_connection_throttling.rb", "lib/fog/rackspace/requests/load_balancers/remove_error_page.rb", "lib/fog/rackspace/requests/load_balancers/remove_monitor.rb", "lib/fog/rackspace/requests/load_balancers/remove_session_persistence.rb", "lib/fog/rackspace/requests/load_balancers/set_connection_logging.rb", "lib/fog/rackspace/requests/load_balancers/set_connection_throttling.rb", "lib/fog/rackspace/requests/load_balancers/set_error_page.rb", "lib/fog/rackspace/requests/load_balancers/set_monitor.rb", "lib/fog/rackspace/requests/load_balancers/set_session_persistence.rb", "lib/fog/rackspace/requests/load_balancers/update_load_balancer.rb", "lib/fog/rackspace/requests/load_balancers/update_node.rb", "lib/fog/rackspace/requests/storage/copy_object.rb", "lib/fog/rackspace/requests/storage/delete_container.rb", "lib/fog/rackspace/requests/storage/delete_object.rb", "lib/fog/rackspace/requests/storage/get_container.rb", "lib/fog/rackspace/requests/storage/get_containers.rb", "lib/fog/rackspace/requests/storage/get_object.rb", "lib/fog/rackspace/requests/storage/head_container.rb", "lib/fog/rackspace/requests/storage/head_containers.rb", "lib/fog/rackspace/requests/storage/head_object.rb", "lib/fog/rackspace/requests/storage/put_container.rb", "lib/fog/rackspace/requests/storage/put_object.rb", "lib/fog/rackspace/requests/storage/put_object_manifest.rb", "lib/fog/rackspace/storage.rb", "lib/fog/slicehost.rb", "lib/fog/slicehost/compute.rb", "lib/fog/slicehost/dns.rb", "lib/fog/slicehost/models/compute/flavor.rb", "lib/fog/slicehost/models/compute/flavors.rb", "lib/fog/slicehost/models/compute/image.rb", "lib/fog/slicehost/models/compute/images.rb", "lib/fog/slicehost/models/compute/server.rb", "lib/fog/slicehost/models/compute/servers.rb", "lib/fog/slicehost/models/dns/record.rb", "lib/fog/slicehost/models/dns/records.rb", "lib/fog/slicehost/models/dns/zone.rb", "lib/fog/slicehost/models/dns/zones.rb", "lib/fog/slicehost/parsers/compute/create_slice.rb", "lib/fog/slicehost/parsers/compute/get_backups.rb", "lib/fog/slicehost/parsers/compute/get_flavor.rb", "lib/fog/slicehost/parsers/compute/get_flavors.rb", "lib/fog/slicehost/parsers/compute/get_image.rb", "lib/fog/slicehost/parsers/compute/get_images.rb", "lib/fog/slicehost/parsers/compute/get_slice.rb", "lib/fog/slicehost/parsers/compute/get_slices.rb", "lib/fog/slicehost/parsers/dns/create_record.rb", "lib/fog/slicehost/parsers/dns/create_zone.rb", "lib/fog/slicehost/parsers/dns/get_record.rb", "lib/fog/slicehost/parsers/dns/get_records.rb", "lib/fog/slicehost/parsers/dns/get_zone.rb", "lib/fog/slicehost/parsers/dns/get_zones.rb", "lib/fog/slicehost/requests/compute/create_slice.rb", "lib/fog/slicehost/requests/compute/delete_slice.rb", "lib/fog/slicehost/requests/compute/get_backups.rb", "lib/fog/slicehost/requests/compute/get_flavor.rb", "lib/fog/slicehost/requests/compute/get_flavors.rb", "lib/fog/slicehost/requests/compute/get_image.rb", "lib/fog/slicehost/requests/compute/get_images.rb", "lib/fog/slicehost/requests/compute/get_slice.rb", "lib/fog/slicehost/requests/compute/get_slices.rb", "lib/fog/slicehost/requests/compute/reboot_slice.rb", "lib/fog/slicehost/requests/dns/create_record.rb", "lib/fog/slicehost/requests/dns/create_zone.rb", "lib/fog/slicehost/requests/dns/delete_record.rb", "lib/fog/slicehost/requests/dns/delete_zone.rb", "lib/fog/slicehost/requests/dns/get_record.rb", "lib/fog/slicehost/requests/dns/get_records.rb", "lib/fog/slicehost/requests/dns/get_zone.rb", "lib/fog/slicehost/requests/dns/get_zones.rb", "lib/fog/slicehost/requests/dns/update_record.rb", "lib/fog/storage.rb", "lib/fog/storm_on_demand.rb", "lib/fog/storm_on_demand/compute.rb", "lib/fog/storm_on_demand/models/compute/balancer.rb", "lib/fog/storm_on_demand/models/compute/balancers.rb", "lib/fog/storm_on_demand/models/compute/config.rb", "lib/fog/storm_on_demand/models/compute/configs.rb", "lib/fog/storm_on_demand/models/compute/image.rb", "lib/fog/storm_on_demand/models/compute/images.rb", "lib/fog/storm_on_demand/models/compute/private_ip.rb", "lib/fog/storm_on_demand/models/compute/private_ips.rb", "lib/fog/storm_on_demand/models/compute/server.rb", "lib/fog/storm_on_demand/models/compute/servers.rb", "lib/fog/storm_on_demand/models/compute/stat.rb", "lib/fog/storm_on_demand/models/compute/stats.rb", "lib/fog/storm_on_demand/models/compute/template.rb", "lib/fog/storm_on_demand/models/compute/templates.rb", "lib/fog/storm_on_demand/requests/compute/add_balancer_node.rb", "lib/fog/storm_on_demand/requests/compute/clone_server.rb", "lib/fog/storm_on_demand/requests/compute/create_server.rb", "lib/fog/storm_on_demand/requests/compute/delete_server.rb", "lib/fog/storm_on_demand/requests/compute/get_server.rb", "lib/fog/storm_on_demand/requests/compute/get_stats.rb", "lib/fog/storm_on_demand/requests/compute/list_balancers.rb", "lib/fog/storm_on_demand/requests/compute/list_configs.rb", "lib/fog/storm_on_demand/requests/compute/list_images.rb", "lib/fog/storm_on_demand/requests/compute/list_private_ips.rb", "lib/fog/storm_on_demand/requests/compute/list_servers.rb", "lib/fog/storm_on_demand/requests/compute/list_templates.rb", "lib/fog/storm_on_demand/requests/compute/reboot_server.rb", "lib/fog/storm_on_demand/requests/compute/remove_balancer_node.rb", "lib/fog/storm_on_demand/requests/compute/resize_server.rb", "lib/fog/terremark.rb", "lib/fog/terremark/models/shared/address.rb", "lib/fog/terremark/models/shared/addresses.rb", "lib/fog/terremark/models/shared/network.rb", "lib/fog/terremark/models/shared/networks.rb", "lib/fog/terremark/models/shared/server.rb", "lib/fog/terremark/models/shared/servers.rb", "lib/fog/terremark/models/shared/task.rb", "lib/fog/terremark/models/shared/tasks.rb", "lib/fog/terremark/models/shared/vdc.rb", "lib/fog/terremark/models/shared/vdcs.rb", "lib/fog/terremark/parser.rb", "lib/fog/terremark/parsers/shared/get_catalog.rb", "lib/fog/terremark/parsers/shared/get_catalog_item.rb", "lib/fog/terremark/parsers/shared/get_internet_services.rb", "lib/fog/terremark/parsers/shared/get_network_ips.rb", "lib/fog/terremark/parsers/shared/get_node_services.rb", "lib/fog/terremark/parsers/shared/get_organization.rb", "lib/fog/terremark/parsers/shared/get_organizations.rb", "lib/fog/terremark/parsers/shared/get_public_ips.rb", "lib/fog/terremark/parsers/shared/get_tasks_list.rb", "lib/fog/terremark/parsers/shared/get_vapp_template.rb", "lib/fog/terremark/parsers/shared/get_vdc.rb", "lib/fog/terremark/parsers/shared/instantiate_vapp_template.rb", "lib/fog/terremark/parsers/shared/internet_service.rb", "lib/fog/terremark/parsers/shared/network.rb", "lib/fog/terremark/parsers/shared/node_service.rb", "lib/fog/terremark/parsers/shared/public_ip.rb", "lib/fog/terremark/parsers/shared/task.rb", "lib/fog/terremark/parsers/shared/vapp.rb", "lib/fog/terremark/requests/shared/add_internet_service.rb", "lib/fog/terremark/requests/shared/add_node_service.rb", "lib/fog/terremark/requests/shared/create_internet_service.rb", "lib/fog/terremark/requests/shared/delete_internet_service.rb", "lib/fog/terremark/requests/shared/delete_node_service.rb", "lib/fog/terremark/requests/shared/delete_public_ip.rb", "lib/fog/terremark/requests/shared/delete_vapp.rb", "lib/fog/terremark/requests/shared/deploy_vapp.rb", "lib/fog/terremark/requests/shared/get_catalog.rb", "lib/fog/terremark/requests/shared/get_catalog_item.rb", "lib/fog/terremark/requests/shared/get_internet_services.rb", "lib/fog/terremark/requests/shared/get_network.rb", "lib/fog/terremark/requests/shared/get_network_ips.rb", "lib/fog/terremark/requests/shared/get_node_services.rb", "lib/fog/terremark/requests/shared/get_organization.rb", "lib/fog/terremark/requests/shared/get_organizations.rb", "lib/fog/terremark/requests/shared/get_public_ip.rb", "lib/fog/terremark/requests/shared/get_public_ips.rb", "lib/fog/terremark/requests/shared/get_task.rb", "lib/fog/terremark/requests/shared/get_tasks_list.rb", "lib/fog/terremark/requests/shared/get_vapp.rb", "lib/fog/terremark/requests/shared/get_vapp_template.rb", "lib/fog/terremark/requests/shared/get_vdc.rb", "lib/fog/terremark/requests/shared/instantiate_vapp_template.rb", "lib/fog/terremark/requests/shared/power_off.rb", "lib/fog/terremark/requests/shared/power_on.rb", "lib/fog/terremark/requests/shared/power_reset.rb", "lib/fog/terremark/requests/shared/power_shutdown.rb", "lib/fog/terremark/shared.rb", "lib/fog/terremark/vcloud.rb", "lib/fog/vcloud.rb", "lib/fog/vcloud/compute.rb", "lib/fog/vcloud/models/compute/catalog.rb", "lib/fog/vcloud/models/compute/catalog_item.rb", "lib/fog/vcloud/models/compute/catalog_items.rb", "lib/fog/vcloud/models/compute/catalogs.rb", "lib/fog/vcloud/models/compute/helpers/status.rb", "lib/fog/vcloud/models/compute/ip.rb", "lib/fog/vcloud/models/compute/ips.rb", "lib/fog/vcloud/models/compute/network.rb", "lib/fog/vcloud/models/compute/networks.rb", "lib/fog/vcloud/models/compute/organization.rb", "lib/fog/vcloud/models/compute/organizations.rb", "lib/fog/vcloud/models/compute/server.rb", "lib/fog/vcloud/models/compute/servers.rb", "lib/fog/vcloud/models/compute/task.rb", "lib/fog/vcloud/models/compute/tasks.rb", "lib/fog/vcloud/models/compute/vapp.rb", "lib/fog/vcloud/models/compute/vapps.rb", "lib/fog/vcloud/models/compute/vdc.rb", "lib/fog/vcloud/models/compute/vdcs.rb", "lib/fog/vcloud/requests/compute/clone_vapp.rb", "lib/fog/vcloud/requests/compute/configure_network.rb", "lib/fog/vcloud/requests/compute/configure_network_ip.rb", "lib/fog/vcloud/requests/compute/configure_node.rb", "lib/fog/vcloud/requests/compute/configure_vapp.rb", "lib/fog/vcloud/requests/compute/configure_vm.rb", "lib/fog/vcloud/requests/compute/configure_vm_disks.rb", "lib/fog/vcloud/requests/compute/configure_vm_memory.rb", "lib/fog/vcloud/requests/compute/configure_vm_name_description.rb", "lib/fog/vcloud/requests/compute/delete_node.rb", "lib/fog/vcloud/requests/compute/delete_vapp.rb", "lib/fog/vcloud/requests/compute/get_catalog.rb", "lib/fog/vcloud/requests/compute/get_catalog_item.rb", "lib/fog/vcloud/requests/compute/get_customization_options.rb", "lib/fog/vcloud/requests/compute/get_network.rb", "lib/fog/vcloud/requests/compute/get_network_extensions.rb", "lib/fog/vcloud/requests/compute/get_network_ip.rb", "lib/fog/vcloud/requests/compute/get_network_ips.rb", "lib/fog/vcloud/requests/compute/get_organization.rb", "lib/fog/vcloud/requests/compute/get_server.rb", "lib/fog/vcloud/requests/compute/get_task.rb", "lib/fog/vcloud/requests/compute/get_task_list.rb", "lib/fog/vcloud/requests/compute/get_vapp.rb", "lib/fog/vcloud/requests/compute/get_vapp_template.rb", "lib/fog/vcloud/requests/compute/get_vdc.rb", "lib/fog/vcloud/requests/compute/get_vm_disks.rb", "lib/fog/vcloud/requests/compute/get_vm_memory.rb", "lib/fog/vcloud/requests/compute/instantiate_vapp_template.rb", "lib/fog/vcloud/requests/compute/login.rb", "lib/fog/vcloud/requests/compute/power_off.rb", "lib/fog/vcloud/requests/compute/power_on.rb", "lib/fog/vcloud/requests/compute/power_reset.rb", "lib/fog/vcloud/requests/compute/power_shutdown.rb", "lib/fog/vcloud/requests/compute/undeploy.rb", "lib/fog/virtual_box.rb", "lib/fog/virtual_box/compute.rb", "lib/fog/virtual_box/models/compute/medium.rb", "lib/fog/virtual_box/models/compute/medium_format.rb", "lib/fog/virtual_box/models/compute/mediums.rb", "lib/fog/virtual_box/models/compute/nat_engine.rb", "lib/fog/virtual_box/models/compute/nat_redirect.rb", "lib/fog/virtual_box/models/compute/nat_redirects.rb", "lib/fog/virtual_box/models/compute/network_adapter.rb", "lib/fog/virtual_box/models/compute/network_adapters.rb", "lib/fog/virtual_box/models/compute/server.rb", "lib/fog/virtual_box/models/compute/servers.rb", "lib/fog/virtual_box/models/compute/storage_controller.rb", "lib/fog/virtual_box/models/compute/storage_controllers.rb", "lib/fog/vmfusion.rb", "lib/fog/vmfusion/compute.rb", "lib/fog/vmfusion/models/compute/server.rb", "lib/fog/vmfusion/models/compute/servers.rb", "lib/fog/voxel.rb", "lib/fog/voxel/compute.rb", "lib/fog/voxel/models/compute/image.rb", "lib/fog/voxel/models/compute/images.rb", "lib/fog/voxel/models/compute/server.rb", "lib/fog/voxel/models/compute/servers.rb", "lib/fog/voxel/parsers/compute/basic.rb", "lib/fog/voxel/parsers/compute/devices_list.rb", "lib/fog/voxel/parsers/compute/images_list.rb", "lib/fog/voxel/parsers/compute/voxcloud_create.rb", "lib/fog/voxel/parsers/compute/voxcloud_delete.rb", "lib/fog/voxel/parsers/compute/voxcloud_status.rb", "lib/fog/voxel/requests/compute/devices_list.rb", "lib/fog/voxel/requests/compute/devices_power.rb", "lib/fog/voxel/requests/compute/images_list.rb", "lib/fog/voxel/requests/compute/voxcloud_create.rb", "lib/fog/voxel/requests/compute/voxcloud_delete.rb", "lib/fog/voxel/requests/compute/voxcloud_status.rb", "lib/fog/vsphere.rb", "lib/fog/vsphere/compute.rb", "lib/fog/vsphere/models/compute/server.rb", "lib/fog/vsphere/models/compute/servers.rb", "lib/fog/vsphere/requests/compute/current_time.rb", "lib/fog/vsphere/requests/compute/datacenters.rb", "lib/fog/vsphere/requests/compute/find_vm_by_ref.rb", "lib/fog/vsphere/requests/compute/list_virtual_machines.rb", "lib/fog/vsphere/requests/compute/vm_clone.rb", "lib/fog/vsphere/requests/compute/vm_create.rb", "lib/fog/vsphere/requests/compute/vm_destroy.rb", "lib/fog/vsphere/requests/compute/vm_migrate.rb", "lib/fog/vsphere/requests/compute/vm_power_off.rb", "lib/fog/vsphere/requests/compute/vm_power_on.rb", "lib/fog/vsphere/requests/compute/vm_reboot.rb", "lib/fog/vsphere/requests/compute/vm_reconfig_cpus.rb", "lib/fog/vsphere/requests/compute/vm_reconfig_hardware.rb", "lib/fog/vsphere/requests/compute/vm_reconfig_memory.rb", "lib/fog/zerigo.rb", "lib/fog/zerigo/dns.rb", "lib/fog/zerigo/models/dns/record.rb", "lib/fog/zerigo/models/dns/records.rb", "lib/fog/zerigo/models/dns/zone.rb", "lib/fog/zerigo/models/dns/zones.rb", "lib/fog/zerigo/parsers/dns/count_hosts.rb", "lib/fog/zerigo/parsers/dns/count_zones.rb", "lib/fog/zerigo/parsers/dns/create_host.rb", "lib/fog/zerigo/parsers/dns/create_zone.rb", "lib/fog/zerigo/parsers/dns/find_hosts.rb", "lib/fog/zerigo/parsers/dns/get_host.rb", "lib/fog/zerigo/parsers/dns/get_zone.rb", "lib/fog/zerigo/parsers/dns/get_zone_stats.rb", "lib/fog/zerigo/parsers/dns/list_hosts.rb", "lib/fog/zerigo/parsers/dns/list_zones.rb", "lib/fog/zerigo/requests/dns/count_hosts.rb", "lib/fog/zerigo/requests/dns/count_zones.rb", "lib/fog/zerigo/requests/dns/create_host.rb", "lib/fog/zerigo/requests/dns/create_zone.rb", "lib/fog/zerigo/requests/dns/delete_host.rb", "lib/fog/zerigo/requests/dns/delete_zone.rb", "lib/fog/zerigo/requests/dns/find_hosts.rb", "lib/fog/zerigo/requests/dns/get_host.rb", "lib/fog/zerigo/requests/dns/get_zone.rb", "lib/fog/zerigo/requests/dns/get_zone_stats.rb", "lib/fog/zerigo/requests/dns/list_hosts.rb", "lib/fog/zerigo/requests/dns/list_zones.rb", "lib/fog/zerigo/requests/dns/update_host.rb", "lib/fog/zerigo/requests/dns/update_zone.rb", "spec/core/current_machine_spec.rb", "spec/ecloud/bin_spec.rb", "spec/ecloud/models/backup_internet_service_spec.rb", "spec/ecloud/models/backup_internet_services_spec.rb", "spec/ecloud/models/internet_service_spec.rb", "spec/ecloud/models/internet_services_spec.rb", "spec/ecloud/models/ip_spec.rb", "spec/ecloud/models/ips_spec.rb", "spec/ecloud/models/network_spec.rb", "spec/ecloud/models/networks_spec.rb", "spec/ecloud/models/node_spec.rb", "spec/ecloud/models/nodes_spec.rb", "spec/ecloud/models/public_ip_spec.rb", "spec/ecloud/models/public_ips_spec.rb", "spec/ecloud/models/server_spec.rb", "spec/ecloud/models/vdc_spec.rb", "spec/ecloud/models/vdcs_spec.rb", "spec/ecloud/requests/add_backup_internet_service_spec.rb", "spec/ecloud/requests/add_internet_service_spec.rb", "spec/ecloud/requests/add_node_spec.rb", "spec/ecloud/requests/configure_internet_service_spec.rb", "spec/ecloud/requests/configure_network_ip_spec.rb", "spec/ecloud/requests/configure_node_spec.rb", "spec/ecloud/requests/configure_vapp_spec.rb", "spec/ecloud/requests/delete_internet_service_spec.rb", "spec/ecloud/requests/delete_node_spec.rb", "spec/ecloud/requests/delete_vapp_spec.rb", "spec/ecloud/requests/get_catalog_item_spec.rb", "spec/ecloud/requests/get_catalog_spec.rb", "spec/ecloud/requests/get_customization_options_spec.rb", "spec/ecloud/requests/get_internet_services_spec.rb", "spec/ecloud/requests/get_network_ip_spec.rb", "spec/ecloud/requests/get_network_ips_spec.rb", "spec/ecloud/requests/get_network_spec.rb", "spec/ecloud/requests/get_node_spec.rb", "spec/ecloud/requests/get_nodes_spec.rb", "spec/ecloud/requests/get_organization_spec.rb", "spec/ecloud/requests/get_public_ip_spec.rb", "spec/ecloud/requests/get_public_ips_spec.rb", "spec/ecloud/requests/get_vapp_spec.rb", "spec/ecloud/requests/get_vdc_spec.rb", "spec/ecloud/requests/get_versions_spec.rb", "spec/ecloud/requests/instantiate_vapp_template_spec.rb", "spec/ecloud/requests/login_spec.rb", "spec/ecloud/requests/power_off_spec.rb", "spec/ecloud/requests/power_on_spec.rb", "spec/ecloud/spec_helper.rb", "spec/ecloud/vcloud_spec.rb", "spec/lib/fog/aws/parsers/sqs/receive_message_spec.rb", "spec/spec_helper.rb", "tests/aws/models/auto_scaling/activities_tests.rb", "tests/aws/models/auto_scaling/configuration_test.rb", "tests/aws/models/auto_scaling/configurations_tests.rb", "tests/aws/models/auto_scaling/helper.rb", "tests/aws/models/auto_scaling/instances_tests.rb", "tests/aws/models/beanstalk/application_tests.rb", "tests/aws/models/beanstalk/applications_tests.rb", "tests/aws/models/beanstalk/environment_tests.rb", "tests/aws/models/beanstalk/environments_tests.rb", "tests/aws/models/beanstalk/template_tests.rb", "tests/aws/models/beanstalk/templates_tests.rb", "tests/aws/models/beanstalk/version_tests.rb", "tests/aws/models/beanstalk/versions_tests.rb", "tests/aws/models/cloud_watch/alarm_data_tests.rb", "tests/aws/models/cloud_watch/alarm_history_tests.rb", "tests/aws/models/cloud_watch/metric_statistics_tests.rb", "tests/aws/models/cloud_watch/metrics_tests.rb", "tests/aws/models/compute/address_tests.rb", "tests/aws/models/compute/addresses_tests.rb", "tests/aws/models/compute/key_pair_tests.rb", "tests/aws/models/compute/key_pairs_tests.rb", "tests/aws/models/compute/security_group_tests.rb", "tests/aws/models/compute/security_groups_tests.rb", "tests/aws/models/compute/server_tests.rb", "tests/aws/models/compute/snapshot_tests.rb", "tests/aws/models/compute/snapshots_tests.rb", "tests/aws/models/compute/subnet_tests.rb", "tests/aws/models/compute/subnets_tests.rb", "tests/aws/models/compute/volume_tests.rb", "tests/aws/models/compute/volumes_tests.rb", "tests/aws/models/compute/vpc_tests.rb", "tests/aws/models/compute/vpcs_tests.rb", "tests/aws/models/dns/record_tests.rb", "tests/aws/models/dns/records_tests.rb", "tests/aws/models/dns/zone_tests.rb", "tests/aws/models/dns/zones_tests.rb", "tests/aws/models/elasticache/cluster_tests.rb", "tests/aws/models/elasticache/parameter_groups_tests.rb", "tests/aws/models/elasticache/security_groups_tests.rb", "tests/aws/models/elb/model_tests.rb", "tests/aws/models/rds/helper.rb", "tests/aws/models/rds/parameter_group_tests.rb", "tests/aws/models/rds/parameter_groups_tests.rb", "tests/aws/models/rds/security_group_tests.rb", "tests/aws/models/rds/security_groups_tests.rb", "tests/aws/models/rds/server_tests.rb", "tests/aws/models/rds/servers_tests.rb", "tests/aws/models/rds/snapshot_tests.rb", "tests/aws/models/rds/snapshots_tests.rb", "tests/aws/models/storage/directory_tests.rb", "tests/aws/models/storage/file_tests.rb", "tests/aws/models/storage/files_tests.rb", "tests/aws/models/storage/version_tests.rb", "tests/aws/models/storage/versions_tests.rb", "tests/aws/requests/auto_scaling/auto_scaling_tests.rb", "tests/aws/requests/auto_scaling/helper.rb", "tests/aws/requests/auto_scaling/model_tests.rb", "tests/aws/requests/beanstalk/application_tests.rb", "tests/aws/requests/beanstalk/solution_stack_tests.rb", "tests/aws/requests/cloud_formation/stack_tests.rb", "tests/aws/requests/cloud_watch/get_metric_statistics_tests.rb", "tests/aws/requests/cloud_watch/list_metrics_test.rb", "tests/aws/requests/cloud_watch/put_metric_data_tests.rb", "tests/aws/requests/compute/address_tests.rb", "tests/aws/requests/compute/availability_zone_tests.rb", "tests/aws/requests/compute/helper.rb", "tests/aws/requests/compute/image_tests.rb", "tests/aws/requests/compute/instance_tests.rb", "tests/aws/requests/compute/key_pair_tests.rb", "tests/aws/requests/compute/placement_group_tests.rb", "tests/aws/requests/compute/region_tests.rb", "tests/aws/requests/compute/security_group_tests.rb", "tests/aws/requests/compute/snapshot_tests.rb", "tests/aws/requests/compute/spot_datafeed_subscription_tests.rb", "tests/aws/requests/compute/spot_instance_tests.rb", "tests/aws/requests/compute/spot_price_history_tests.rb", "tests/aws/requests/compute/subnet_tests.rb", "tests/aws/requests/compute/tag_tests.rb", "tests/aws/requests/compute/volume_tests.rb", "tests/aws/requests/compute/vpc_tests.rb", "tests/aws/requests/dns/dns_tests.rb", "tests/aws/requests/dns/helper.rb", "tests/aws/requests/dynamodb/item_tests.rb", "tests/aws/requests/dynamodb/table_tests.rb", "tests/aws/requests/elasticache/cache_cluster_tests.rb", "tests/aws/requests/elasticache/describe_events.rb", "tests/aws/requests/elasticache/helper.rb", "tests/aws/requests/elasticache/parameter_group_tests.rb", "tests/aws/requests/elasticache/security_group_tests.rb", "tests/aws/requests/elb/helper.rb", "tests/aws/requests/elb/listener_tests.rb", "tests/aws/requests/elb/load_balancer_tests.rb", "tests/aws/requests/elb/policy_tests.rb", "tests/aws/requests/emr/helper.rb", "tests/aws/requests/emr/instance_group_tests.rb", "tests/aws/requests/emr/job_flow_tests.rb", "tests/aws/requests/iam/access_key_tests.rb", "tests/aws/requests/iam/group_policy_tests.rb", "tests/aws/requests/iam/group_tests.rb", "tests/aws/requests/iam/helper.rb", "tests/aws/requests/iam/login_profile_tests.rb", "tests/aws/requests/iam/server_certificate_tests.rb", "tests/aws/requests/iam/user_policy_tests.rb", "tests/aws/requests/iam/user_tests.rb", "tests/aws/requests/rds/helper.rb", "tests/aws/requests/rds/instance_tests.rb", "tests/aws/requests/rds/parameter_group_tests.rb", "tests/aws/requests/rds/parameter_request_tests.rb", "tests/aws/requests/rds/security_group_tests.rb", "tests/aws/requests/ses/helper.rb", "tests/aws/requests/ses/verified_email_address_tests.rb", "tests/aws/requests/simpledb/attributes_tests.rb", "tests/aws/requests/simpledb/domain_tests.rb", "tests/aws/requests/simpledb/helper.rb", "tests/aws/requests/sns/helper.rb", "tests/aws/requests/sns/subscription_tests.rb", "tests/aws/requests/sns/topic_tests.rb", "tests/aws/requests/sqs/helper.rb", "tests/aws/requests/sqs/message_tests.rb", "tests/aws/requests/sqs/queue_tests.rb", "tests/aws/requests/storage/acl_utils_tests.rb", "tests/aws/requests/storage/bucket_tests.rb", "tests/aws/requests/storage/multipart_upload_tests.rb", "tests/aws/requests/storage/object_tests.rb", "tests/aws/requests/storage/versioning_tests.rb", "tests/aws/requests/sts/get_federation_token_tests.rb", "tests/aws/requests/sts/session_token_tests.rb", "tests/aws/signed_params_tests.rb", "tests/bluebox/requests/compute/block_tests.rb", "tests/bluebox/requests/compute/helper.rb", "tests/bluebox/requests/compute/location_tests.rb", "tests/bluebox/requests/compute/product_tests.rb", "tests/bluebox/requests/compute/template_tests.rb", "tests/bluebox/requests/dns/dns_tests.rb", "tests/brightbox/requests/compute/account_tests.rb", "tests/brightbox/requests/compute/api_client_tests.rb", "tests/brightbox/requests/compute/cloud_ip_tests.rb", "tests/brightbox/requests/compute/helper.rb", "tests/brightbox/requests/compute/image_tests.rb", "tests/brightbox/requests/compute/interface_tests.rb", "tests/brightbox/requests/compute/load_balancer_tests.rb", "tests/brightbox/requests/compute/server_group_tests.rb", "tests/brightbox/requests/compute/server_tests.rb", "tests/brightbox/requests/compute/server_type_tests.rb", "tests/brightbox/requests/compute/user_tests.rb", "tests/brightbox/requests/compute/zone_tests.rb", "tests/clodo/requests/compute/image_tests.rb", "tests/clodo/requests/compute/server_tests.rb", "tests/cloudstack/requests/disk_offering_tests.rb", "tests/cloudstack/requests/os_type_tests.rb", "tests/cloudstack/requests/security_group_tests.rb", "tests/cloudstack/requests/service_offering_tests.rb", "tests/cloudstack/requests/snapshot_tests.rb", "tests/cloudstack/requests/ssh_key_pair_tests.rb", "tests/cloudstack/requests/template_tests.rb", "tests/cloudstack/requests/virtual_machine_tests.rb", "tests/cloudstack/requests/volume_tests.rb", "tests/cloudstack/requests/zone_tests.rb", "tests/cloudstack/signed_params_tests.rb", "tests/compute/helper.rb", "tests/compute/models/flavors_tests.rb", "tests/compute/models/server_tests.rb", "tests/compute/models/servers_tests.rb", "tests/core/attribute_tests.rb", "tests/core/credential_tests.rb", "tests/core/mocking_tests.rb", "tests/core/parser_tests.rb", "tests/core/timeout_tests.rb", "tests/dns/helper.rb", "tests/dns/models/record_tests.rb", "tests/dns/models/records_tests.rb", "tests/dns/models/zone_tests.rb", "tests/dns/models/zones_tests.rb", "tests/dnsimple/requests/dns/dns_tests.rb", "tests/dnsmadeeasy/requests/dns/dns_tests.rb", "tests/dynect/requests/dns/dns_tests.rb", "tests/glesys/requests/compute/helper.rb", "tests/glesys/requests/compute/ip_tests.rb", "tests/glesys/requests/compute/server_tests.rb", "tests/glesys/requests/compute/template_tests.rb", "tests/go_grid/requests/compute/image_tests.rb", "tests/google/requests/storage/bucket_tests.rb", "tests/google/requests/storage/object_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/mock_helper.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/succeeds_helper.rb", "tests/ibm/models/compute/image_tests.rb", "tests/ibm/models/compute/key_tests.rb", "tests/ibm/models/compute/keys_tests.rb", "tests/ibm/models/compute/locations_tests.rb", "tests/ibm/models/compute/server_tests.rb", "tests/ibm/models/compute/servers_tests.rb", "tests/ibm/models/storage/volume_tests.rb", "tests/ibm/requests/compute/address_tests.rb", "tests/ibm/requests/compute/image_tests.rb", "tests/ibm/requests/compute/instance_tests.rb", "tests/ibm/requests/compute/key_tests.rb", "tests/ibm/requests/compute/location_tests.rb", "tests/ibm/requests/compute/vlan_tests.rb", "tests/ibm/requests/storage/volume_tests.rb", "tests/joyent/requests/compute/datasets_tests.rb", "tests/joyent/requests/compute/keys_tests.rb", "tests/joyent/requests/compute/machines_tests.rb", "tests/joyent/requests/compute/packages_tests.rb", "tests/linode/requests/compute/datacenter_tests.rb", "tests/linode/requests/compute/distribution_tests.rb", "tests/linode/requests/compute/helper.rb", "tests/linode/requests/compute/kernel_tests.rb", "tests/linode/requests/compute/linode_tests.rb", "tests/linode/requests/compute/linodeplans_tests.rb", "tests/linode/requests/compute/stackscripts_tests.rb", "tests/linode/requests/dns/dns_tests.rb", "tests/lorem.txt", "tests/ninefold/models/storage/file_update_tests.rb", "tests/ninefold/models/storage/nested_directories_tests.rb", "tests/ninefold/requests/compute/address_tests.rb", "tests/ninefold/requests/compute/async_job_tests.rb", "tests/ninefold/requests/compute/helper.rb", "tests/ninefold/requests/compute/list_tests.rb", "tests/ninefold/requests/compute/nat_tests.rb", "tests/ninefold/requests/compute/network_tests.rb", "tests/ninefold/requests/compute/template_tests.rb", "tests/ninefold/requests/compute/virtual_machine_tests.rb", "tests/openstack/requests/compute/flavor_tests.rb", "tests/openstack/requests/compute/helper.rb", "tests/openstack/requests/compute/image_tests.rb", "tests/openstack/requests/compute/server_tests.rb", "tests/ovirt/compute_tests.rb", "tests/ovirt/models/compute/cluster_tests.rb", "tests/ovirt/models/compute/clusters_tests.rb", "tests/ovirt/models/compute/interface_tests.rb", "tests/ovirt/models/compute/interfaces_tests.rb", "tests/ovirt/models/compute/server_tests.rb", "tests/ovirt/models/compute/servers_tests.rb", "tests/ovirt/models/compute/template_tests.rb", "tests/ovirt/models/compute/templates_tests.rb", "tests/ovirt/requests/compute/create_vm_tests.rb", "tests/ovirt/requests/compute/destroy_vm_tests.rb", "tests/ovirt/requests/compute/list_datacenters_tests.rb", "tests/ovirt/requests/compute/list_storage_domains_tests.rb", "tests/ovirt/requests/compute/update_vm_tests.rb", "tests/rackspace/helper.rb", "tests/rackspace/load_balancer_tests.rb", "tests/rackspace/models/dns/zone_tests.rb", "tests/rackspace/models/load_balancers/access_list_tests.rb", "tests/rackspace/models/load_balancers/access_lists_tests.rb", "tests/rackspace/models/load_balancers/load_balancer_tests.rb", "tests/rackspace/models/load_balancers/load_balancers_tests.rb", "tests/rackspace/models/load_balancers/node_tests.rb", "tests/rackspace/models/load_balancers/nodes_tests.rb", "tests/rackspace/models/load_balancers/virtual_ip_tests.rb", "tests/rackspace/models/load_balancers/virtual_ips_tests.rb", "tests/rackspace/requests/compute/address_tests.rb", "tests/rackspace/requests/compute/flavor_tests.rb", "tests/rackspace/requests/compute/helper.rb", "tests/rackspace/requests/compute/image_tests.rb", "tests/rackspace/requests/compute/resize_tests.rb", "tests/rackspace/requests/compute/server_tests.rb", "tests/rackspace/requests/dns/dns_tests.rb", "tests/rackspace/requests/dns/helper.rb", "tests/rackspace/requests/dns/records_tests.rb", "tests/rackspace/requests/load_balancers/access_list_tests.rb", "tests/rackspace/requests/load_balancers/algorithm_tests.rb", "tests/rackspace/requests/load_balancers/connection_logging_tests.rb", "tests/rackspace/requests/load_balancers/connection_throttling_tests.rb", "tests/rackspace/requests/load_balancers/error_page_tests.rb", "tests/rackspace/requests/load_balancers/helper.rb", "tests/rackspace/requests/load_balancers/load_balancer_tests.rb", "tests/rackspace/requests/load_balancers/load_balancer_usage_tests.rb", "tests/rackspace/requests/load_balancers/monitor_tests.rb", "tests/rackspace/requests/load_balancers/node_tests.rb", "tests/rackspace/requests/load_balancers/protocol_tests.rb", "tests/rackspace/requests/load_balancers/session_persistence_tests.rb", "tests/rackspace/requests/load_balancers/usage_tests.rb", "tests/rackspace/requests/load_balancers/virtual_ip_tests.rb", "tests/rackspace/requests/storage/container_tests.rb", "tests/rackspace/requests/storage/large_object_tests.rb", "tests/rackspace/requests/storage/object_tests.rb", "tests/rackspace/url_encoding_tests.rb", "tests/slicehost/requests/compute/backup_tests.rb", "tests/slicehost/requests/compute/flavor_tests.rb", "tests/slicehost/requests/compute/image_tests.rb", "tests/slicehost/requests/compute/slice_tests.rb", "tests/slicehost/requests/dns/dns_tests.rb", "tests/storage/helper.rb", "tests/storage/models/directories_tests.rb", "tests/storage/models/directory_test.rb", "tests/storage/models/file_tests.rb", "tests/storage/models/files_tests.rb", "tests/storm_on_demand/requests/compute/server_tests.rb", "tests/vcloud/data/api_+_admin_+_network_+_2", "tests/vcloud/data/api_+_network_+_1", "tests/vcloud/data/api_+_org_+_", "tests/vcloud/data/api_+_org_+_1", "tests/vcloud/data/api_+_sessions", "tests/vcloud/data/api_+_v1.0_+_admin_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_login", "tests/vcloud/data/api_+_v1.0_+_network_+_1", "tests/vcloud/data/api_+_v1.0_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_org_+_1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-2", "tests/vcloud/data/api_+_v1.0_+_vdc_+_1", "tests/vcloud/data/api_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_vApp_+_vm-2", "tests/vcloud/data/api_+_vdc_+_1", "tests/vcloud/models/compute/conn_helper.rb", "tests/vcloud/models/compute/helper.rb", "tests/vcloud/models/compute/network_tests.rb", "tests/vcloud/models/compute/networks_tests.rb", "tests/vcloud/models/compute/organization_tests.rb", "tests/vcloud/models/compute/organizations_tests.rb", "tests/vcloud/models/compute/server_tests.rb", "tests/vcloud/models/compute/servers_tests.rb", "tests/vcloud/models/compute/vapp_tests.rb", "tests/vcloud/models/compute/vapps_tests.rb", "tests/vcloud/models/compute/vdc_tests.rb", "tests/vcloud/models/compute/vdcs_tests.rb", "tests/vcloud/requests/compute/disk_configure_tests.rb", "tests/voxel/requests/compute/image_tests.rb", "tests/voxel/requests/compute/server_tests.rb", "tests/vsphere/compute_tests.rb", "tests/vsphere/models/compute/server_tests.rb", "tests/vsphere/models/compute/servers_tests.rb", "tests/vsphere/requests/compute/current_time_tests.rb", "tests/vsphere/requests/compute/find_vm_by_ref_tests.rb", "tests/vsphere/requests/compute/list_virtual_machines_tests.rb", "tests/vsphere/requests/compute/vm_clone_tests.rb", "tests/vsphere/requests/compute/vm_create_tests.rb", "tests/vsphere/requests/compute/vm_destroy_tests.rb", "tests/vsphere/requests/compute/vm_migrate_tests.rb", "tests/vsphere/requests/compute/vm_power_off_tests.rb", "tests/vsphere/requests/compute/vm_power_on_tests.rb", "tests/vsphere/requests/compute/vm_reboot_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_cpus_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_hardware_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_memory_tests.rb", "tests/watchr.rb", "tests/zerigo/requests/dns/dns_tests.rb"]
  s.homepage = "http://github.com/fog/fog"
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "fog"
  s.rubygems_version = "1.8.23"
  s.summary = "brings clouds to you"
  s.test_files = ["spec/core/current_machine_spec.rb", "spec/ecloud/bin_spec.rb", "spec/ecloud/models/backup_internet_service_spec.rb", "spec/ecloud/models/backup_internet_services_spec.rb", "spec/ecloud/models/internet_service_spec.rb", "spec/ecloud/models/internet_services_spec.rb", "spec/ecloud/models/ip_spec.rb", "spec/ecloud/models/ips_spec.rb", "spec/ecloud/models/network_spec.rb", "spec/ecloud/models/networks_spec.rb", "spec/ecloud/models/node_spec.rb", "spec/ecloud/models/nodes_spec.rb", "spec/ecloud/models/public_ip_spec.rb", "spec/ecloud/models/public_ips_spec.rb", "spec/ecloud/models/server_spec.rb", "spec/ecloud/models/vdc_spec.rb", "spec/ecloud/models/vdcs_spec.rb", "spec/ecloud/requests/add_backup_internet_service_spec.rb", "spec/ecloud/requests/add_internet_service_spec.rb", "spec/ecloud/requests/add_node_spec.rb", "spec/ecloud/requests/configure_internet_service_spec.rb", "spec/ecloud/requests/configure_network_ip_spec.rb", "spec/ecloud/requests/configure_node_spec.rb", "spec/ecloud/requests/configure_vapp_spec.rb", "spec/ecloud/requests/delete_internet_service_spec.rb", "spec/ecloud/requests/delete_node_spec.rb", "spec/ecloud/requests/delete_vapp_spec.rb", "spec/ecloud/requests/get_catalog_item_spec.rb", "spec/ecloud/requests/get_catalog_spec.rb", "spec/ecloud/requests/get_customization_options_spec.rb", "spec/ecloud/requests/get_internet_services_spec.rb", "spec/ecloud/requests/get_network_ip_spec.rb", "spec/ecloud/requests/get_network_ips_spec.rb", "spec/ecloud/requests/get_network_spec.rb", "spec/ecloud/requests/get_node_spec.rb", "spec/ecloud/requests/get_nodes_spec.rb", "spec/ecloud/requests/get_organization_spec.rb", "spec/ecloud/requests/get_public_ip_spec.rb", "spec/ecloud/requests/get_public_ips_spec.rb", "spec/ecloud/requests/get_vapp_spec.rb", "spec/ecloud/requests/get_vdc_spec.rb", "spec/ecloud/requests/get_versions_spec.rb", "spec/ecloud/requests/instantiate_vapp_template_spec.rb", "spec/ecloud/requests/login_spec.rb", "spec/ecloud/requests/power_off_spec.rb", "spec/ecloud/requests/power_on_spec.rb", "spec/ecloud/spec_helper.rb", "spec/ecloud/vcloud_spec.rb", "spec/lib/fog/aws/parsers/sqs/receive_message_spec.rb", "spec/spec_helper.rb", "tests/aws/models/auto_scaling/activities_tests.rb", "tests/aws/models/auto_scaling/configuration_test.rb", "tests/aws/models/auto_scaling/configurations_tests.rb", "tests/aws/models/auto_scaling/helper.rb", "tests/aws/models/auto_scaling/instances_tests.rb", "tests/aws/models/beanstalk/application_tests.rb", "tests/aws/models/beanstalk/applications_tests.rb", "tests/aws/models/beanstalk/environment_tests.rb", "tests/aws/models/beanstalk/environments_tests.rb", "tests/aws/models/beanstalk/template_tests.rb", "tests/aws/models/beanstalk/templates_tests.rb", "tests/aws/models/beanstalk/version_tests.rb", "tests/aws/models/beanstalk/versions_tests.rb", "tests/aws/models/cloud_watch/alarm_data_tests.rb", "tests/aws/models/cloud_watch/alarm_history_tests.rb", "tests/aws/models/cloud_watch/metric_statistics_tests.rb", "tests/aws/models/cloud_watch/metrics_tests.rb", "tests/aws/models/compute/address_tests.rb", "tests/aws/models/compute/addresses_tests.rb", "tests/aws/models/compute/key_pair_tests.rb", "tests/aws/models/compute/key_pairs_tests.rb", "tests/aws/models/compute/security_group_tests.rb", "tests/aws/models/compute/security_groups_tests.rb", "tests/aws/models/compute/server_tests.rb", "tests/aws/models/compute/snapshot_tests.rb", "tests/aws/models/compute/snapshots_tests.rb", "tests/aws/models/compute/subnet_tests.rb", "tests/aws/models/compute/subnets_tests.rb", "tests/aws/models/compute/volume_tests.rb", "tests/aws/models/compute/volumes_tests.rb", "tests/aws/models/compute/vpc_tests.rb", "tests/aws/models/compute/vpcs_tests.rb", "tests/aws/models/dns/record_tests.rb", "tests/aws/models/dns/records_tests.rb", "tests/aws/models/dns/zone_tests.rb", "tests/aws/models/dns/zones_tests.rb", "tests/aws/models/elasticache/cluster_tests.rb", "tests/aws/models/elasticache/parameter_groups_tests.rb", "tests/aws/models/elasticache/security_groups_tests.rb", "tests/aws/models/elb/model_tests.rb", "tests/aws/models/rds/helper.rb", "tests/aws/models/rds/parameter_group_tests.rb", "tests/aws/models/rds/parameter_groups_tests.rb", "tests/aws/models/rds/security_group_tests.rb", "tests/aws/models/rds/security_groups_tests.rb", "tests/aws/models/rds/server_tests.rb", "tests/aws/models/rds/servers_tests.rb", "tests/aws/models/rds/snapshot_tests.rb", "tests/aws/models/rds/snapshots_tests.rb", "tests/aws/models/storage/directory_tests.rb", "tests/aws/models/storage/file_tests.rb", "tests/aws/models/storage/files_tests.rb", "tests/aws/models/storage/version_tests.rb", "tests/aws/models/storage/versions_tests.rb", "tests/aws/requests/auto_scaling/auto_scaling_tests.rb", "tests/aws/requests/auto_scaling/helper.rb", "tests/aws/requests/auto_scaling/model_tests.rb", "tests/aws/requests/beanstalk/application_tests.rb", "tests/aws/requests/beanstalk/solution_stack_tests.rb", "tests/aws/requests/cloud_formation/stack_tests.rb", "tests/aws/requests/cloud_watch/get_metric_statistics_tests.rb", "tests/aws/requests/cloud_watch/list_metrics_test.rb", "tests/aws/requests/cloud_watch/put_metric_data_tests.rb", "tests/aws/requests/compute/address_tests.rb", "tests/aws/requests/compute/availability_zone_tests.rb", "tests/aws/requests/compute/helper.rb", "tests/aws/requests/compute/image_tests.rb", "tests/aws/requests/compute/instance_tests.rb", "tests/aws/requests/compute/key_pair_tests.rb", "tests/aws/requests/compute/placement_group_tests.rb", "tests/aws/requests/compute/region_tests.rb", "tests/aws/requests/compute/security_group_tests.rb", "tests/aws/requests/compute/snapshot_tests.rb", "tests/aws/requests/compute/spot_datafeed_subscription_tests.rb", "tests/aws/requests/compute/spot_instance_tests.rb", "tests/aws/requests/compute/spot_price_history_tests.rb", "tests/aws/requests/compute/subnet_tests.rb", "tests/aws/requests/compute/tag_tests.rb", "tests/aws/requests/compute/volume_tests.rb", "tests/aws/requests/compute/vpc_tests.rb", "tests/aws/requests/dns/dns_tests.rb", "tests/aws/requests/dns/helper.rb", "tests/aws/requests/dynamodb/item_tests.rb", "tests/aws/requests/dynamodb/table_tests.rb", "tests/aws/requests/elasticache/cache_cluster_tests.rb", "tests/aws/requests/elasticache/describe_events.rb", "tests/aws/requests/elasticache/helper.rb", "tests/aws/requests/elasticache/parameter_group_tests.rb", "tests/aws/requests/elasticache/security_group_tests.rb", "tests/aws/requests/elb/helper.rb", "tests/aws/requests/elb/listener_tests.rb", "tests/aws/requests/elb/load_balancer_tests.rb", "tests/aws/requests/elb/policy_tests.rb", "tests/aws/requests/emr/helper.rb", "tests/aws/requests/emr/instance_group_tests.rb", "tests/aws/requests/emr/job_flow_tests.rb", "tests/aws/requests/iam/access_key_tests.rb", "tests/aws/requests/iam/group_policy_tests.rb", "tests/aws/requests/iam/group_tests.rb", "tests/aws/requests/iam/helper.rb", "tests/aws/requests/iam/login_profile_tests.rb", "tests/aws/requests/iam/server_certificate_tests.rb", "tests/aws/requests/iam/user_policy_tests.rb", "tests/aws/requests/iam/user_tests.rb", "tests/aws/requests/rds/helper.rb", "tests/aws/requests/rds/instance_tests.rb", "tests/aws/requests/rds/parameter_group_tests.rb", "tests/aws/requests/rds/parameter_request_tests.rb", "tests/aws/requests/rds/security_group_tests.rb", "tests/aws/requests/ses/helper.rb", "tests/aws/requests/ses/verified_email_address_tests.rb", "tests/aws/requests/simpledb/attributes_tests.rb", "tests/aws/requests/simpledb/domain_tests.rb", "tests/aws/requests/simpledb/helper.rb", "tests/aws/requests/sns/helper.rb", "tests/aws/requests/sns/subscription_tests.rb", "tests/aws/requests/sns/topic_tests.rb", "tests/aws/requests/sqs/helper.rb", "tests/aws/requests/sqs/message_tests.rb", "tests/aws/requests/sqs/queue_tests.rb", "tests/aws/requests/storage/acl_utils_tests.rb", "tests/aws/requests/storage/bucket_tests.rb", "tests/aws/requests/storage/multipart_upload_tests.rb", "tests/aws/requests/storage/object_tests.rb", "tests/aws/requests/storage/versioning_tests.rb", "tests/aws/requests/sts/get_federation_token_tests.rb", "tests/aws/requests/sts/session_token_tests.rb", "tests/aws/signed_params_tests.rb", "tests/bluebox/requests/compute/block_tests.rb", "tests/bluebox/requests/compute/helper.rb", "tests/bluebox/requests/compute/location_tests.rb", "tests/bluebox/requests/compute/product_tests.rb", "tests/bluebox/requests/compute/template_tests.rb", "tests/bluebox/requests/dns/dns_tests.rb", "tests/brightbox/requests/compute/account_tests.rb", "tests/brightbox/requests/compute/api_client_tests.rb", "tests/brightbox/requests/compute/cloud_ip_tests.rb", "tests/brightbox/requests/compute/helper.rb", "tests/brightbox/requests/compute/image_tests.rb", "tests/brightbox/requests/compute/interface_tests.rb", "tests/brightbox/requests/compute/load_balancer_tests.rb", "tests/brightbox/requests/compute/server_group_tests.rb", "tests/brightbox/requests/compute/server_tests.rb", "tests/brightbox/requests/compute/server_type_tests.rb", "tests/brightbox/requests/compute/user_tests.rb", "tests/brightbox/requests/compute/zone_tests.rb", "tests/clodo/requests/compute/image_tests.rb", "tests/clodo/requests/compute/server_tests.rb", "tests/cloudstack/requests/disk_offering_tests.rb", "tests/cloudstack/requests/os_type_tests.rb", "tests/cloudstack/requests/security_group_tests.rb", "tests/cloudstack/requests/service_offering_tests.rb", "tests/cloudstack/requests/snapshot_tests.rb", "tests/cloudstack/requests/ssh_key_pair_tests.rb", "tests/cloudstack/requests/template_tests.rb", "tests/cloudstack/requests/virtual_machine_tests.rb", "tests/cloudstack/requests/volume_tests.rb", "tests/cloudstack/requests/zone_tests.rb", "tests/cloudstack/signed_params_tests.rb", "tests/compute/helper.rb", "tests/compute/models/flavors_tests.rb", "tests/compute/models/server_tests.rb", "tests/compute/models/servers_tests.rb", "tests/core/attribute_tests.rb", "tests/core/credential_tests.rb", "tests/core/mocking_tests.rb", "tests/core/parser_tests.rb", "tests/core/timeout_tests.rb", "tests/dns/helper.rb", "tests/dns/models/record_tests.rb", "tests/dns/models/records_tests.rb", "tests/dns/models/zone_tests.rb", "tests/dns/models/zones_tests.rb", "tests/dnsimple/requests/dns/dns_tests.rb", "tests/dnsmadeeasy/requests/dns/dns_tests.rb", "tests/dynect/requests/dns/dns_tests.rb", "tests/glesys/requests/compute/helper.rb", "tests/glesys/requests/compute/ip_tests.rb", "tests/glesys/requests/compute/server_tests.rb", "tests/glesys/requests/compute/template_tests.rb", "tests/go_grid/requests/compute/image_tests.rb", "tests/google/requests/storage/bucket_tests.rb", "tests/google/requests/storage/object_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/mock_helper.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/succeeds_helper.rb", "tests/ibm/models/compute/image_tests.rb", "tests/ibm/models/compute/key_tests.rb", "tests/ibm/models/compute/keys_tests.rb", "tests/ibm/models/compute/locations_tests.rb", "tests/ibm/models/compute/server_tests.rb", "tests/ibm/models/compute/servers_tests.rb", "tests/ibm/models/storage/volume_tests.rb", "tests/ibm/requests/compute/address_tests.rb", "tests/ibm/requests/compute/image_tests.rb", "tests/ibm/requests/compute/instance_tests.rb", "tests/ibm/requests/compute/key_tests.rb", "tests/ibm/requests/compute/location_tests.rb", "tests/ibm/requests/compute/vlan_tests.rb", "tests/ibm/requests/storage/volume_tests.rb", "tests/joyent/requests/compute/datasets_tests.rb", "tests/joyent/requests/compute/keys_tests.rb", "tests/joyent/requests/compute/machines_tests.rb", "tests/joyent/requests/compute/packages_tests.rb", "tests/linode/requests/compute/datacenter_tests.rb", "tests/linode/requests/compute/distribution_tests.rb", "tests/linode/requests/compute/helper.rb", "tests/linode/requests/compute/kernel_tests.rb", "tests/linode/requests/compute/linode_tests.rb", "tests/linode/requests/compute/linodeplans_tests.rb", "tests/linode/requests/compute/stackscripts_tests.rb", "tests/linode/requests/dns/dns_tests.rb", "tests/lorem.txt", "tests/ninefold/models/storage/file_update_tests.rb", "tests/ninefold/models/storage/nested_directories_tests.rb", "tests/ninefold/requests/compute/address_tests.rb", "tests/ninefold/requests/compute/async_job_tests.rb", "tests/ninefold/requests/compute/helper.rb", "tests/ninefold/requests/compute/list_tests.rb", "tests/ninefold/requests/compute/nat_tests.rb", "tests/ninefold/requests/compute/network_tests.rb", "tests/ninefold/requests/compute/template_tests.rb", "tests/ninefold/requests/compute/virtual_machine_tests.rb", "tests/openstack/requests/compute/flavor_tests.rb", "tests/openstack/requests/compute/helper.rb", "tests/openstack/requests/compute/image_tests.rb", "tests/openstack/requests/compute/server_tests.rb", "tests/ovirt/compute_tests.rb", "tests/ovirt/models/compute/cluster_tests.rb", "tests/ovirt/models/compute/clusters_tests.rb", "tests/ovirt/models/compute/interface_tests.rb", "tests/ovirt/models/compute/interfaces_tests.rb", "tests/ovirt/models/compute/server_tests.rb", "tests/ovirt/models/compute/servers_tests.rb", "tests/ovirt/models/compute/template_tests.rb", "tests/ovirt/models/compute/templates_tests.rb", "tests/ovirt/requests/compute/create_vm_tests.rb", "tests/ovirt/requests/compute/destroy_vm_tests.rb", "tests/ovirt/requests/compute/list_datacenters_tests.rb", "tests/ovirt/requests/compute/list_storage_domains_tests.rb", "tests/ovirt/requests/compute/update_vm_tests.rb", "tests/rackspace/helper.rb", "tests/rackspace/load_balancer_tests.rb", "tests/rackspace/models/dns/zone_tests.rb", "tests/rackspace/models/load_balancers/access_list_tests.rb", "tests/rackspace/models/load_balancers/access_lists_tests.rb", "tests/rackspace/models/load_balancers/load_balancer_tests.rb", "tests/rackspace/models/load_balancers/load_balancers_tests.rb", "tests/rackspace/models/load_balancers/node_tests.rb", "tests/rackspace/models/load_balancers/nodes_tests.rb", "tests/rackspace/models/load_balancers/virtual_ip_tests.rb", "tests/rackspace/models/load_balancers/virtual_ips_tests.rb", "tests/rackspace/requests/compute/address_tests.rb", "tests/rackspace/requests/compute/flavor_tests.rb", "tests/rackspace/requests/compute/helper.rb", "tests/rackspace/requests/compute/image_tests.rb", "tests/rackspace/requests/compute/resize_tests.rb", "tests/rackspace/requests/compute/server_tests.rb", "tests/rackspace/requests/dns/dns_tests.rb", "tests/rackspace/requests/dns/helper.rb", "tests/rackspace/requests/dns/records_tests.rb", "tests/rackspace/requests/load_balancers/access_list_tests.rb", "tests/rackspace/requests/load_balancers/algorithm_tests.rb", "tests/rackspace/requests/load_balancers/connection_logging_tests.rb", "tests/rackspace/requests/load_balancers/connection_throttling_tests.rb", "tests/rackspace/requests/load_balancers/error_page_tests.rb", "tests/rackspace/requests/load_balancers/helper.rb", "tests/rackspace/requests/load_balancers/load_balancer_tests.rb", "tests/rackspace/requests/load_balancers/load_balancer_usage_tests.rb", "tests/rackspace/requests/load_balancers/monitor_tests.rb", "tests/rackspace/requests/load_balancers/node_tests.rb", "tests/rackspace/requests/load_balancers/protocol_tests.rb", "tests/rackspace/requests/load_balancers/session_persistence_tests.rb", "tests/rackspace/requests/load_balancers/usage_tests.rb", "tests/rackspace/requests/load_balancers/virtual_ip_tests.rb", "tests/rackspace/requests/storage/container_tests.rb", "tests/rackspace/requests/storage/large_object_tests.rb", "tests/rackspace/requests/storage/object_tests.rb", "tests/rackspace/url_encoding_tests.rb", "tests/slicehost/requests/compute/backup_tests.rb", "tests/slicehost/requests/compute/flavor_tests.rb", "tests/slicehost/requests/compute/image_tests.rb", "tests/slicehost/requests/compute/slice_tests.rb", "tests/slicehost/requests/dns/dns_tests.rb", "tests/storage/helper.rb", "tests/storage/models/directories_tests.rb", "tests/storage/models/directory_test.rb", "tests/storage/models/file_tests.rb", "tests/storage/models/files_tests.rb", "tests/storm_on_demand/requests/compute/server_tests.rb", "tests/vcloud/data/api_+_admin_+_network_+_2", "tests/vcloud/data/api_+_network_+_1", "tests/vcloud/data/api_+_org_+_", "tests/vcloud/data/api_+_org_+_1", "tests/vcloud/data/api_+_sessions", "tests/vcloud/data/api_+_v1.0_+_admin_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_login", "tests/vcloud/data/api_+_v1.0_+_network_+_1", "tests/vcloud/data/api_+_v1.0_+_network_+_2", "tests/vcloud/data/api_+_v1.0_+_org_+_1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-1", "tests/vcloud/data/api_+_v1.0_+_vApp_+_vm-2", "tests/vcloud/data/api_+_v1.0_+_vdc_+_1", "tests/vcloud/data/api_+_vApp_+_vapp-1", "tests/vcloud/data/api_+_vApp_+_vm-2", "tests/vcloud/data/api_+_vdc_+_1", "tests/vcloud/models/compute/conn_helper.rb", "tests/vcloud/models/compute/helper.rb", "tests/vcloud/models/compute/network_tests.rb", "tests/vcloud/models/compute/networks_tests.rb", "tests/vcloud/models/compute/organization_tests.rb", "tests/vcloud/models/compute/organizations_tests.rb", "tests/vcloud/models/compute/server_tests.rb", "tests/vcloud/models/compute/servers_tests.rb", "tests/vcloud/models/compute/vapp_tests.rb", "tests/vcloud/models/compute/vapps_tests.rb", "tests/vcloud/models/compute/vdc_tests.rb", "tests/vcloud/models/compute/vdcs_tests.rb", "tests/vcloud/requests/compute/disk_configure_tests.rb", "tests/voxel/requests/compute/image_tests.rb", "tests/voxel/requests/compute/server_tests.rb", "tests/vsphere/compute_tests.rb", "tests/vsphere/models/compute/server_tests.rb", "tests/vsphere/models/compute/servers_tests.rb", "tests/vsphere/requests/compute/current_time_tests.rb", "tests/vsphere/requests/compute/find_vm_by_ref_tests.rb", "tests/vsphere/requests/compute/list_virtual_machines_tests.rb", "tests/vsphere/requests/compute/vm_clone_tests.rb", "tests/vsphere/requests/compute/vm_create_tests.rb", "tests/vsphere/requests/compute/vm_destroy_tests.rb", "tests/vsphere/requests/compute/vm_migrate_tests.rb", "tests/vsphere/requests/compute/vm_power_off_tests.rb", "tests/vsphere/requests/compute/vm_power_on_tests.rb", "tests/vsphere/requests/compute/vm_reboot_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_cpus_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_hardware_tests.rb", "tests/vsphere/requests/compute/vm_reconfig_memory_tests.rb", "tests/watchr.rb", "tests/zerigo/requests/dns/dns_tests.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<builder>, [">= 0"])
      s.add_runtime_dependency(%q<excon>, ["~> 0.13.0"])
      s.add_runtime_dependency(%q<formatador>, ["~> 0.2.0"])
      s.add_runtime_dependency(%q<multi_json>, ["~> 1.0"])
      s.add_runtime_dependency(%q<mime-types>, [">= 0"])
      s.add_runtime_dependency(%q<net-scp>, ["~> 1.0.4"])
      s.add_runtime_dependency(%q<net-ssh>, [">= 2.1.3"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.5.0"])
      s.add_runtime_dependency(%q<ruby-hmac>, [">= 0"])
      s.add_development_dependency(%q<jekyll>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rbvmomi>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
      s.add_development_dependency(%q<thor>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 1.3.1"])
      s.add_development_dependency(%q<rbovirt>, [">= 0.0.9"])
      s.add_development_dependency(%q<shindo>, ["~> 0.3.4"])
      s.add_development_dependency(%q<virtualbox>, ["~> 0.9.1"])
      s.add_development_dependency(%q<fission>, [">= 0"])
    else
      s.add_dependency(%q<builder>, [">= 0"])
      s.add_dependency(%q<excon>, ["~> 0.13.0"])
      s.add_dependency(%q<formatador>, ["~> 0.2.0"])
      s.add_dependency(%q<multi_json>, ["~> 1.0"])
      s.add_dependency(%q<mime-types>, [">= 0"])
      s.add_dependency(%q<net-scp>, ["~> 1.0.4"])
      s.add_dependency(%q<net-ssh>, [">= 2.1.3"])
      s.add_dependency(%q<nokogiri>, ["~> 1.5.0"])
      s.add_dependency(%q<ruby-hmac>, [">= 0"])
      s.add_dependency(%q<jekyll>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rbvmomi>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
      s.add_dependency(%q<thor>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 1.3.1"])
      s.add_dependency(%q<rbovirt>, [">= 0.0.9"])
      s.add_dependency(%q<shindo>, ["~> 0.3.4"])
      s.add_dependency(%q<virtualbox>, ["~> 0.9.1"])
      s.add_dependency(%q<fission>, [">= 0"])
    end
  else
    s.add_dependency(%q<builder>, [">= 0"])
    s.add_dependency(%q<excon>, ["~> 0.13.0"])
    s.add_dependency(%q<formatador>, ["~> 0.2.0"])
    s.add_dependency(%q<multi_json>, ["~> 1.0"])
    s.add_dependency(%q<mime-types>, [">= 0"])
    s.add_dependency(%q<net-scp>, ["~> 1.0.4"])
    s.add_dependency(%q<net-ssh>, [">= 2.1.3"])
    s.add_dependency(%q<nokogiri>, ["~> 1.5.0"])
    s.add_dependency(%q<ruby-hmac>, [">= 0"])
    s.add_dependency(%q<jekyll>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rbvmomi>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
    s.add_dependency(%q<thor>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 1.3.1"])
    s.add_dependency(%q<rbovirt>, [">= 0.0.9"])
    s.add_dependency(%q<shindo>, ["~> 0.3.4"])
    s.add_dependency(%q<virtualbox>, ["~> 0.9.1"])
    s.add_dependency(%q<fission>, [">= 0"])
  end
end
